<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

      <%@ include file="imports.jsp" %>
      <%@ include file="stub.jsp" %>
      <%@ include file="session.jsp" %>
      
      <html>
	<head>
	  <title>Hotel Service - Reservation Creation</title>
	</head>
	
	<body>
<%@ include file="navBar.jsp" %>
<%	
String id = (request.getParameter("id"));
String name = (request.getParameter("name"));
java.util.Date date = new java.util.Date(java.lang.System.currentTimeMillis());
java.util.Calendar cal = java.util.Calendar.getInstance();
%>
	  <form method="post"
		action="validateReservationCreation.jsp"
		enctype= "application/x-www-form-urlencoded">
	    
	    <fieldset>
	      
	      <legend> Reservation Creation </legend> 
	      
	      
	      <!-- Display error Message, if any -->
	      <%@ include file="displayErrorMessage.jsp" %>

        	<input type="hidden"
		       name="hotelId"
                       id="hotelId"
                       value="<%= id %>"
		       size="16"
		       maxlength="16" 
		       />
	  <table border="1">
      	  <input type="hidden"
		       name="hotelName"
                       id="hotelName"
                       value="<%= name %>"
		       size="16"
		       maxlength="16" 
		       />
	  <table border="1">

		<tr>
		  
		  <td>
	      <label for="roomSize"> roomSize: </label>
	    </td>
	      <td>
		<select name="roomSize"
		       id="roomSize"
		       size="1">
                       <OPTION>1
                       <OPTION>2
                       <OPTION>3
                       <OPTION>4
                       <OPTION>5
                </select>
	      </td>
	    </tr>

	      <tr>

		<td>
	      <label for="startDate"> startDate (YYYY/MM/DD): </label>
	    </td>
	      <td>
		<input	
		       type="text"
		       name="startDate"
		       size="10"
		       maxlength="10" 
		       id="startDate"
                       value="<%= cal.get(Calendar.YEAR)+"/"+(cal.get(Calendar.MONTH)+1)+"/"+cal.get(Calendar.DAY_OF_MONTH) %>"
		       />
	      </td>
	    </tr>

		<tr>
		  
		  <td>
	      <label for="nights"> Nights: </label>
	    </td>
	      <td>
		<input type="text"
		       name="nights"
		       id="nights"
		       size="16"
		       maxlength="16" 
		       />
	      </td>
	    </tr>

	    </table>
	      <br />
	      <input type= "submit"
		     name="submit"
		     value="submit"
		     />
	      
	      
	      <input type= "reset" 
		     name="reset"
		     value="reset"
		     />
	      
	    </fieldset>
	  </form>

	  <!-- bottom banner -->
	  <%@ include file="bottombanner.jsp" %>

	</body>
      </html>


