package OzoneMessengerClient;

import java.net.URL;


public class OzoneMessengerClient
{
    public void call(String serviceURL) {
	try
	    {
                NDService.NDPortType nd= new NDService.NDBindingStub(new URL("http://localhost:8080/services/ND"),null);
		//         NDService.GetServiceData[] services = nd.getService_ByInstanceURL("http://www.inria.fr/rafik");
        NDService.GetServiceData[] services = nd.getService("http://localhost:8080/wsami/OzoneMessengerAbstract.wsami");
                String serviceEndPoint = services[0].getServiceEP();
                //String serviceInstanceURL = services[0].getInstanceURL();
		//                System.out.println("Found service: "+ serviceEndPoint);
                
		URL url = new URL(serviceEndPoint);
		//System.out.println("Creation d'une instance du service en local");
		OzoneMessengerService.OzoneMessengerInterface service = new OzoneMessengerService.OzoneMessengerSOAPBindingStub(url,null);
		//System.out.println("instance cree");
		if (!service.showWindow(serviceURL))
		    System.out.println("Error in starting Messenger");	
		//else 
		    //  System.out.println("Ozone Messenger is Started");	
	    }
	catch (Exception e) 
	    {
		e.printStackTrace();
	    }
    }
    
    public static void main (String arg[]) 
    {
	OzoneMessengerClient client = new OzoneMessengerClient();
	String param="noNickeName";
	
	if (arg.length>=1)
	    {
		String serviceURL = arg[0];
		client.call(serviceURL);
	    }
	else System.out.println("You must give your serviceURL");	
    }

}//end class
	
	
			
			
			
			
			
			
			
			
