create database yellowpages;;
use yellowpages;

Create Table Category (
	name            VARCHAR(50) PRIMARY KEY,
	description     VARCHAR(255) 
);

Create Table Entry (
       id               INT AUTO_INCREMENT PRIMARY KEY,
       categoryName     VARCHAR(50) REFERENCES Category(name),
       name             VARCHAR(50),
       description      VARCHAR(255),
       wau              VARCHAR(255),
       street           VARCHAR(255),
       zip              INT,
       city             VARCHAR(255),
       phone            INT(10)
);

INSERT INTO Category VALUES ('Hotel','Hotel Reservation Service');
INSERT INTO Category VALUES ('Restaurant','Restaurant Reservation Service');
INSERT INTO Category VALUES ('Movies','Movie Service');

INSERT INTO Entry (categoryName,name,description,wau, street, zip, city, phone) VALUES ('Restaurant','Restaurant 1','description 1','http://wau.restaurant1.com','street 1',11111,'city 1',1111111111);

INSERT INTO Entry (categoryName,name,description,wau, street, zip, city, phone) VALUES ('Restaurant','Restaurant 2','description 2','http://wau.restaurant2.com','street 2',22222,'city 2',2222222222);