/*
 * CustomizerProvider.java
 *
 * Created on March 3, 2003, 3:45 PM
 */

package CoreBroker.Axis;

import org.apache.axis.MessageContext;
import java.lang.reflect.Method;
import CoreBroker.BasicCustomizer;

/**
 *
 * @author  root
 */
public class CustomizerProvider extends org.apache.axis.providers.java.RPCProvider {
    
    /** Creates a new instance of CustomizerProvider */
    public CustomizerProvider() {
    }
    
        protected Object invokeMethod(MessageContext msgContext,
                                  Method method, Object obj,
                                  Object[] argValues)
        throws Exception
    {   
        CoreBroker.BrokerWrapper broker = CoreBroker.BrokerFactory.getServerInstance();

        // if the SOAP message header contains RC and/or WS and SessionID
        // extract these values and set the chain value in the local
        // instance of the broker to handle customization
        // and set the customizerID in the obj 
        // if the obj is the LC: header contains RC, WS, SID
        // if the obj is the RC:  header contains WS, SID
        broker.setCustID_and_Chain_FromHeader(msgContext.getMessage(),obj);

        return super.invokeMethod(msgContext, method, obj, argValues);
    }
    
}
