#include <stdio.h>
#include "CoreBroker_IFUtils.h"
#include "Windows.h"

JNIEXPORT void JNICALL Java_CoreBroker_IFUtils_iwconfig2
  (JNIEnv * env, jobject jTmp) {
}


JNIEXPORT jintArray JNICALL Java_CoreBroker_IFUtils_getACInfo
  (JNIEnv * env, jobject jTmp)
{
    jintArray jIntArray = (*env)->NewIntArray(env, 9);
	SYSTEM_POWER_STATUS SystemPowerStatus;
    BOOL exist;

	exist = GetSystemPowerStatus(&SystemPowerStatus);

	if (exist) {
		int tmp = 0;

		jint ac = (jint)SystemPowerStatus.ACLineStatus;
		jint battflag = (jint)SystemPowerStatus.BatteryFlag;
		jint battlifeperc = (jint)SystemPowerStatus.BatteryLifePercent;

		/*printf("AC_LineStatus: %d BatteryFlag: %d BatteryLifePercent: %d Reserved1: %d BatteryLifeTime: %d BatteryFullLifeTime: %d",
			SystemPowerStatus.ACLineStatus, SystemPowerStatus.BatteryFlag, SystemPowerStatus.BatteryLifePercent,
			SystemPowerStatus.Reserved1, SystemPowerStatus.BatteryLifeTime, SystemPowerStatus.BatteryFullLifeTime);
		*/
			

            (*env)->SetIntArrayRegion(env, jIntArray, 0, 1, (jint*)&tmp);
            (*env)->SetIntArrayRegion(env, jIntArray, 1, 1, (jint*)&tmp);
            (*env)->SetIntArrayRegion(env, jIntArray, 2, 1, (jint*)&tmp);
            (*env)->SetIntArrayRegion(env, jIntArray, 3, 1, (jint*)&ac);
            (*env)->SetIntArrayRegion(env, jIntArray, 4, 1, (jint*)&battflag);
            (*env)->SetIntArrayRegion(env, jIntArray, 5, 1, (jint*)&battflag);
            (*env)->SetIntArrayRegion(env, jIntArray, 6, 1, (jint*)&battlifeperc);
            (*env)->SetIntArrayRegion(env, jIntArray, 7, 1, (jint*)&SystemPowerStatus.BatteryLifeTime);
            (*env)->SetIntArrayRegion(env, jIntArray, 8, 1, (jint*)&tmp);
	} // else 
		// ?? return null; ??
	        
    return jIntArray;
}



JNIEXPORT jobjectArray JNICALL Java_CoreBroker_IFUtils_getIFAddrs
  (JNIEnv * env, jobject jTmp)
{
    jclass clazzString = (*env)->FindClass(env,"java/lang/String");
    jobjectArray jStringArrayIpAddrs = (*env)->NewObjectArray(env, 10, clazzString, NULL);

    return jStringArrayIpAddrs;
}

JNIEXPORT jobjectArray JNICALL Java_CoreBroker_IFUtils_getNetworkIFInfo
  (JNIEnv * env, jobject jTmp)
{

    jclass clazzNetworkIFDescr = (*env)->FindClass(env,"CoreBroker/NetworkIFDescr");
    jobjectArray jclazzNetworkIFDescrArray = (*env)->NewObjectArray(env, 10, clazzNetworkIFDescr, NULL);



    jmethodID mid = (*env)->GetMethodID(env, clazzNetworkIFDescr, "<init>", "(Ljava/lang/String;Ljava/lang/String;ILjava/lang/String;)V");
    jobject objNetworkIFDescr ;
    jstring jIFNameString;

    return jclazzNetworkIFDescrArray;
}

JNIEXPORT jint JNICALL Java_CoreBroker_IFUtils_iproute
  (JNIEnv *env, jobject jTmp, jstring addr)
{

	return -1;
}
