package csoap;

import java.io.*;
import csoap.xml.rpc.encoding.TypeMappingRegistryImpl;
import csoap.xml.rpc.handler.HandlerRegistryImpl;
import csoap.deployment.*;
import csoap.server.*;
import javax.xml.rpc.handler.HandlerRegistry;
import csoap.util.*;

public class GlobalManaging {

    protected static HandlerRegistryImpl handlerRegistry = new HandlerRegistryImpl();
    protected static TypeMappingRegistryImpl typeMappingRegistry = new TypeMappingRegistryImpl();
    protected static deployedServices objectServices = new deployedServices();
    protected static deployment objectDeployment = new deployment(objectServices, typeMappingRegistry, handlerRegistry);
    
   
    
    
    public static int receiveWsdd(InputStream is) 
      	  {   
	      log.setLevelDebug(log.LEVEL_LOW);
	      return objectDeployment.deploy(is,objectServices);
	  }
         
   /*
    *   URI parameter added for CoreBroker Customization compatibility
    */

     
    public static HandlerRegistry getHandlerRegistry() {
        return handlerRegistry;
    }
}
