package csoap.xml.rpc.encoding;

import java.util.Vector;
import csoap.xml.soap.*;
import java.lang.reflect.Constructor;
import javax.xml.namespace.QName;

public class DeserializerBase64 implements DeserializerBase
{
    String mechanismType="default";
    Class JAVAClass = byte[].class;
    QName XMLType = javax.xml.rpc.encoding.XMLType.XSD_BASE64;

    public DeserializerBase64(Class JavaClass, QName XmlType)
    {
	JAVAClass = JavaClass;
	XMLType = XmlType;
    }
    

  public Object deserialize(javax.xml.soap.SOAPElement soAPElement, javax.xml.rpc.encoding.TypeMappingRegistry typeMappingRegistry, csoap.deployment.Service service)
  {
    
       String isnull = (String)soAPElement.getAttributeValue(new NameImpl("nil"));
       if (isnull.equals("true")) return null;
       /*if (((csoap.xml.soap.SOAPElementImpl)soAPElement).isBig())
	   {
	       char[] value = ((csoap.xml.soap.SOAPElementImpl)soAPElement).getBigValue();
	       return Base64.decode(value,0,value.length);
	   }
       else
       */
       return Base64.decode(soAPElement.getValue());
  }

  public void setMechanismType(String MechanismType)
  {
    mechanismType = MechanismType;
  }
  public String getMechanismType()
  {
    return mechanismType;
  }



}
