package csoap.xml.soap;

import java.io.IOException;
import java.io.OutputStream;
import java.io.InputStream;
import java.io.OutputStreamWriter;
import java.io.InputStreamReader;
//import javax.activation.DataHandler;
import java.io.*;
import javax.xml.soap.*;
import org.xml.sax.InputSource;
import org.apache.xerces.parsers.SAXParser;
import org.xml.sax.XMLReader;


public class MessageFactoryImpl extends javax.xml.soap.MessageFactory {
    
    XMLReader xr ;
    SAXHandler sh;
  
    public MessageFactoryImpl() {
        xr = new SAXParser();
        sh = new SAXHandler();
        xr.setContentHandler(sh);
        xr.setErrorHandler(sh);
    }

  
    public javax.xml.soap.SOAPMessage createMessage() {
        return new SOAPMessageImpl();
    }
    
    public javax.xml.soap.SOAPMessage createMessage(javax.xml.soap.MimeHeaders mimeHeaders, InputStream inputStream) {
        
        try {
//            sh.init();
	    //System.out.println("I'm start parsing at "+System.currentTimeMillis());
	    //long t1= System.currentTimeMillis();
            xr.parse(new InputSource(inputStream));
	    //long t2= System.currentTimeMillis();
	    //System.out.println("time parsing is "+(t2-t1));
            SOAPMessageImpl  message = sh.getSOAPMessage();
            return message;
        } catch (Exception ex) {
            ex.printStackTrace();
            return null;
        }
    }

  // Mthodes
  //public static MessageFactoryImpl newInstance() throws SOAPException
  //{
   // return this.clone();
  //}

}
