package csoap.xml.soap;

import java.io.*;
import java.net.*;
import javax.xml.soap.*;

public class SOAPConnectionImpl extends SOAPConnection{
    java.net.HttpURLConnection urlConn;
    java.net.URL url;
    String id="";
    boolean connect = false;

  MessageFactoryImpl factory = new MessageFactoryImpl();
  public SOAPConnectionImpl() {
  }


  public SOAPMessage call(SOAPMessage sOAPMessage, Object endPoint) {
   try {

       //       System.out.println("I start sent message at :"+System.currentTimeMillis());
       //long t1 = System.currentTimeMillis();

       //       if (url == null || !url.getPath().equals(endPoint.toString()))
       //	   {
       // System.out.println("I start create URL :"+System.currentTimeMillis());
       //long t2 = System.currentTimeMillis();
	       url = new java.net.URL(endPoint.toString());
	       //      long t3 = System.currentTimeMillis();
	       // System.out.println("I create URL in :"+(t3-t2));
	       //System.out.println("I start open Connection :"+System.currentTimeMillis());
	       //long t4 = System.currentTimeMillis();
	       urlConn = (java.net.HttpURLConnection)url.openConnection();
	       //long t5 = System.currentTimeMillis();
	       //System.out.println("I'm Connected in :"+(t5-t4));
 
	       connect = true;
	       urlConn.setDoInput (true);
	       urlConn.setDoOutput (true);
	       urlConn.setUseCaches (false);
	       urlConn.setRequestProperty("User-Agent", "Profile/MIDP-1.0 Configuration/CLDC-1.0");
	       urlConn.setRequestProperty("Content-Language", "en-US");
	       urlConn.setRequestProperty("content-Type", "application/x-www-form-urlencoded");
	       
	       // required for Axis compatibility
	       String action = url.getPath();
	       // urlConn.setRequestProperty("SOAPAction","/services/ND");
          
	       urlConn.setRequestProperty("SOAPAction",action);
	       urlConn.setRequestProperty("Cookie","id="+id);
          //urlConn.setRequestProperty("Cookie","id="+50);
	       //   }
	       //System.out.println("I start sent message :"+System.currentTimeMillis());
	       //long t6 = System.currentTimeMillis();
       java.io.OutputStream os = urlConn.getOutputStream();
       sOAPMessage.writeTo(os);
       os.close();
       //long t7 = System.currentTimeMillis();
       //System.out.println("message sented in :"+(t7-t6));

       // java.io.InputStream isr = new java.io.InputStreamder(urlConn.getInputStream());
       // isr.close();
       //System.out.println("I wait response message :"+System.currentTimeMillis());
       //long t8 = System.currentTimeMillis();
       while (urlConn.getResponseCode() != HttpURLConnection.HTTP_OK){}   
       //long t9 = System.currentTimeMillis();
       //System.out.println("response message recieved in :"+(t9-t8));    
java.io.InputStream is = urlConn.getInputStream();
       String cookies = urlConn.getHeaderField("Set-Cookie");
       
       //byte[] b = new byte[is.available()];
       //is.read(b);
       //java.io.ByteArrayInputStream is1 = new java.io.ByteArrayInputStream (b);
 //System.out.println("I start read response message at:"+System.currentTimeMillis());
 //long t12 = System.currentTimeMillis();
 // if response time late use buffin
 //java.io.BufferedInputStream buffin = new  java.io.BufferedInputStream(is);
       //long t13 = System.currentTimeMillis();
       //System.out.println("response message readed in :"+(t13-t12));
       //System.out.println("I start create message at:"+System.currentTimeMillis());
       //long t10 = System.currentTimeMillis();
       SOAPMessage sOAPResponse = factory.createMessage(null, is);
       is.close();
       //long t11 = System.currentTimeMillis();
       //System.out.println("message created in :"+(t11-t10));

       if (cookies != null && cookies.indexOf("id")!=-1) 
	   {
	       ;
	       cookies = cookies.substring(cookies.indexOf("id=")+3); 
	       if (cookies.indexOf(";")!=-1) id = cookies.substring(0,cookies.indexOf(";"));
	       else id = cookies;
	       id = id.trim(); 
	   }
       //SOAPMessage sOAPResponse = factory.createMessage(null, is);
       
       
       
       //if (sOAPResponse.saveRequired()) sOAPResponse.saveChanges();
       return sOAPResponse;
   }
   catch (Exception ex) {
       ex.printStackTrace();
   }
   return null;
  }
    
    public void close()
    {
	connect = false;
	urlConn.disconnect();
    }
    

  public void callOneWay(SOAPMessage sOAPMessage, Object endPoint) {
      try {
	  
	  url = new java.net.URL(endPoint.toString());
	  urlConn = (java.net.HttpURLConnection)url.openConnection();
	  connect = true;
	  urlConn.setDoInput (true);
	  urlConn.setDoOutput (true);
	  urlConn.setUseCaches (false);
	  urlConn.setRequestProperty("User-Agent", "Profile/MIDP-1.0 Configuration/CLDC-1.0");
	  urlConn.setRequestProperty("Content-Language", "en-US");
	  urlConn.setRequestProperty("content-Type", "application/x-www-form-urlencoded");
	  
	       // required for Axis compatibility
	  String action = url.getPath();
	  // urlConn.setRequestProperty("SOAPAction","/services/ND");
          
	  urlConn.setRequestProperty("SOAPAction",action);
	  urlConn.setRequestProperty("Cookie","id="+id);
	  java.io.OutputStream os = urlConn.getOutputStream();
	  sOAPMessage.writeTo(os);
	  os.close();
	  while (urlConn.getResponseCode() != HttpURLConnection.HTTP_OK){}   
       ;    
java.io.InputStream is = urlConn.getInputStream();
       String cookies = urlConn.getHeaderField("Set-Cookie");
       if (cookies != null && cookies.indexOf("id")!=-1) 
	   {
	       ;
	       cookies = cookies.substring(cookies.indexOf("id=")+3); 
	       if (cookies.indexOf(";")!=-1) id = cookies.substring(0,cookies.indexOf(";"));
	       else id = cookies;
	       id = id.trim(); 
	   }
      
      }
   catch (Exception ex) {
       ex.printStackTrace();
   }
  }

    
}
