start() {
   if [ "$cygwin" = "true" ]; then
        $WSAMI_HOME/bin/slpd.exe -start -l $WSAMI_HOME/bin/slpd.log -c $SLPCONF >> $WSAMI_HOME/bin/slpd.log 
   else
        $WSAMI_HOME/bin/slpd -l /var/log/slpd.log -c $SLPCONF
   fi
}

stop() {
   if [ "$cygwin" = "true" ]; then
        $WSAMI_HOME/bin/slpd.exe -stop >> $WSAMI_HOME/bin/slpd.log 
   else
        kill `cat /var/run/slpd.pid`
	for i in `pidof slpd`; do kill -9 $i; done
   fi
}

PRGDIR=`dirname $0`
WSAMI_HOME=`cd "$PRGDIR/.." ; pwd`
. $WSAMI_HOME/bin/setvars.sh


SLPCONF=$WSAMI_HOME/bin/slp.conf
SLPEVENT=$WSAMI_HOME/bin/slp.evt

if [ "$cygwin" = "true" ]; then
	$WSAMI_HOME/bin/slpd.exe -install > $WSAMI_HOME/bin/slpd.log 
fi



echo 0 > $SLPEVENT
chmod 777 $SLPEVENT

while [ 1 ]; do
	if [ -f $SLPEVENT ]; then
		read VALUE < $SLPEVENT
		if [ "$VALUE" = 1 ]; then
			echo "Stopping SLP ..."
	 		#kill `cat /var/run/slpd.pid`
			stop
			sleep 5
                        echo "Starting SLP ..."
                        #$WSAMI_HOME/bin/slpd -l /var/log/slpd.log -c $SLPCONF
			start
			echo 2 >  $SLPEVENT
		fi
	fi
	sleep 5
done




