<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

      <%@ include file="imports.jsp" %>
      <%@ include file="stub.jsp" %>
      <%@ include file="session.jsp" %>
      
      <html>
	<head>
	  <title>Hotel Service - Hotels List</title>
	</head>
	
	<body>

<%@ include file="navBar.jsp" %>

	  <!-- variables -->

	  <!-- parametters -->
	  <% 
	  String city = request.getParameter("city");
	  Hotel [] hotels = null;

	  //HotelEnumeration hotelEnumeration = null;
	  try{
            //hotelEnumeration = hotelService.listHotels(city);
            //hotels = hotelEnumeration.getHotels();
            hotels = hotelService.listHotels(city);
	  
	  } catch(HotelException ex){
	  session.setAttribute("error", ex.getErrorMessage()); %>
	  
	  <jsp:forward page="listHotels.jsp" />
	    
	    <%  }
	    
	    
	    catch(Exception ex){
	    session.setAttribute("error","Unknown Error"); %>
	    
	    
	    <jsp:forward page="listHotels.jsp" />
	      
	      <%  }
	      
	      try{
	      // display results
	      for(int i=0;i<hotels.length;i++){
		Hotel hotel = hotels[i];
		BigInteger id = hotel.getId();
		String name = hotel.getName();
                String nameToSend = hotel.getName().replace(' ', '+'); 
		BigInteger stars = hotel.getStars();
		String street = hotel.getStreet();
		BigInteger zip = hotel.getZip();
		String cityString = hotel.getCity();
		RoomPrices [] roomPrices = hotel.getRoomPrices();
		
		%>

		<table border="1">
		  <tr> 
		    <td> Id </td>
		    <td> <%= id %> </td>
		  </tr> 
		  <tr> 
		    <td> Name </td> 
		    <td> <%= name %> </td>
		  </tr>
		  <tr>
		    <td>  Stars </td>
		    <td> <%= stars %> </td>
		  </tr>
		  <tr>
		    <td> Street </td>
		    <td> <%= street %> </td>
		  </tr>
		  <tr>
		    <td>  Zip </td>
		    <td><%= zip %> </td>
		  </tr>
		  <tr>
		    <td> City </td>
		    <td> <%= cityString %> </td>
		  </tr>
		  <tr>
		    <td>Prices </td>
		    <td>
		      <table border="1">
			
			<tr>
			  <th>Size
			  </th>
			  <th>Price
			  </th>
			  <th>Number
			  </th>
			</tr>
		      
		      <%
		      
		      try{
		      for(int j=0;j<roomPrices.length;j++){
		  RoomPrices roomPrice = roomPrices[j];
		  BigInteger size = roomPrice.getSize();
		  BigInteger totalRooms = roomPrice.getTotalRooms();
		  float price = roomPrice.getPrice();
		  
		  %>
		
		  <tr>
		    <td> <%= size %> </td>
		    <td> <%= price%> </td>
		    <td> <%= totalRooms %>  </td>
		  </tr>
		  
		  
		  <% 
		  } // for 
	      } //try
	      catch(Exception ex){
	      %>
	      <tr>
		<td> N/A </td>
		<td> N/A  </td>
		<td> N/A  </td>
	      </tr>	      
	      
	      
	      <% } // catch
	      
	      %>
	      
	    </table>
          
	    </td>
            </tr>
	    </table>

<a href=createReservation.jsp?id=<%= hotel.getId() %>&name=<%= nameToSend %>>Reservation</a>
	      <%
	      }
	       } // try
		  catch(Exception ex){
		  %>
		  <p> No Hotel found matching your criteria </p>
		  <%

		  }
	      %>
	      
	      
		<!-- bottom banner -->
		<%@ include file="bottombanner.jsp" %>
		
	</body>
      </html>
      

