<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

      <%@ include file="imports.jsp" %>
      <%@ include file="stub.jsp" %>
      <%@ include file="session.jsp" %>

      <html>
	<head>
	  <title>Hotel Service - Reservations</title>
	</head>

	<body>

<%@ include file="navBar.jsp" %>

	  <% String login = (String) session.getAttribute("login");
	  String password = (String) session.getAttribute("password");
	  
	  BigInteger clientId = new BigInteger(login);

          Reservation [] reservations = null;
          try {
            reservations = hotelService.listReservations(clientId,password);
	  } catch(HotelException ex){
            session.setAttribute("error", ex.getErrorMessage()); %>
	    
	    <jsp:forward page="hotelUser.jsp" />
	      
	      <%  }
 
	  
	    try{
	    for(int i=0; i<reservations.length ; i++){
	      Reservation res = reservations[i];
	      
	      %>

	      <table border="1">
		<tr> 
		  <td> reservationId </td>
		  <td> <%= res.getId() %> </td>
		</tr>

		<tr>
		  <td> hotel </td>
		  <td> <%= res.getHotelName() %> </td>
		</tr>
		
		<tr>
		  <td> roomSize </td>
		  <td> <%= res.getRoomSize() %> </td>
		</tr>
		
		<tr>
		  <td> startDate </td>
		  <td> 
<% java.util.Calendar dateRes = java.util.Calendar.getInstance();
dateRes.setTime(res.getStartDate().getTime());
dateRes.add(Calendar.DAY_OF_MONTH, 1);
%>
<%= dateRes.get(Calendar.YEAR)+"/"+(dateRes.get(Calendar.MONTH)+1)+"/"+dateRes.get(Calendar.DAY_OF_MONTH) %> </td>
		</tr>
		
	      <tr>
		<td> nights </td>
		  <td> <%= res.getNights() %> </td>
		</tr>

	      </table>
<a href=validateCancelReservation.jsp?reservationId=<%= res.getId() %>>Cancel reservation</a>
	      <br />
	      <%
	      } // for
	    } // try
	    catch(Exception ex){

	    %>

	    <p> N/A </p>

	    <%
	    } // catch
	    %>
	    <!-- bottom banner -->
	    <%@ include file="bottombanner.jsp" %>
	    
	</body>
      </html>
      

