package MovieClient;

import java.awt.*;
import java.awt.event.*;
import java.net.URL;
import java.util.Calendar;
import java.util.Date;
import java.io.*;



public class MovieClientPDA extends Frame {
    
    private CoreBroker.BrokerWrapper broker;
    private MovieService.MovieInterface service;
    private String trailerDir ="/opt/wsami/dist/pda/root";
    private int criticismsMode = 0;  // 0: Audio , 1: Text 

    boolean cpt = false;
    boolean withCustomization = true; //false;true
    //////////********************* FRAME 
    Panel contentPane;
    
    // Panel for conf
    
    Panel paneConf = new Panel();
    Panel pane1 = new Panel();
    Panel pane2 = new Panel();
    Panel pane3 = new Panel();
    TextField URIField = new TextField("http://localhost:8080/wsami/MovieAbstract.wsami");
    TextField NDField = new TextField("http://localhost:8080/services/ND");
    
    //Panel for MovieGlobal
    Panel paneMovieGlobal = new Panel();
    
    // Panel for Movie
    Panel paneMovie = new Panel();
    Panel pane4 = new Panel();
    Panel pane5 = new Panel();
    Panel pane6 = new Panel();
    Panel pane7 = new Panel();
    Panel pane8 = new Panel();
    Button MovieCancel = new Button("Reset");
    Button MovieSearch = new Button("Search");
    Button MovieFind = new Button("Find Movie");
    Button  MovieAll = new Button("Show all movies");

    TextField TitleField = new TextField("");
    TextField ActorField = new TextField("");
    TextField DirectorField = new TextField("");
    Label MovieTitle = new Label("   Movie Title: ");
    Label MovieActor = new Label("   Movie Director : ");
    Label MovieDirector = new Label("   Movie Edition : ");
    Label MovieList = new Label("  Num    Title                  Director           Edition");
    
    
    
    List lst = new List(6,false);


    //Panel Detail
    Panel paneDetail   = new Panel();
    Panel paneFromDate = new Panel();
    Panel paneFromTime = new Panel();
    Panel paneToDate   = new Panel();
    Panel paneToTime   = new Panel();
    Panel pane9        = new Panel();
    Panel pane10       = new Panel();
    Panel pane11       = new Panel();
    Panel pane12       = new Panel();
    

    Button MovieDetail = new Button("Schedule");
    Button MovieBooking = new Button("Booking");
    Button MovieTrailer= new Button("Trailer");
    Button MovieCriticisms = new Button("Critic");
    Button MovieEmpty = new Button("Empty");

    TextField IDField = new TextField("");  
    TextField NameField = new TextField("");  

    Choice FromYearField = new Choice();

    Choice FromMonthField = new Choice();
    Choice  FromDayField = new Choice();
    Choice  FromHourField = new Choice();
    Choice  FromMinField = new Choice();
    Choice  ToYearField = new Choice();
    Choice  ToMonthField = new Choice();
    Choice  ToDayField = new Choice();
    Choice  ToHourField = new Choice();
    Choice  ToMinField = new Choice();


    Label DetailList = new Label("  Num   City           Address                Date");
    List lst2 = new List(5,false);
    
  // Panel booking

  Panel paneBooking = new Panel();
  Panel pane13 = new Panel();
  Panel pane14 = new Panel();

    TextField IDBookField = new TextField(""); 
    TextField NameBookField = new TextField(""); 
    TextField FNameField = new TextField("");
    TextField LNameField = new TextField("");
    TextField NumSeatsField = new TextField("");
    

  // Panel Trailer
  Panel paneTrailer = new Panel();
  Panel pane15 = new Panel();
  Panel pane16 = new Panel();

    // panel choice 
    Button bok               = new Button("   Ok   ");
    Button bcancel           = new Button(" Cancel ");
    Dialog modeDiag          = new Dialog(this, "Choice Mode");
    CheckboxGroup boxGroup   = new CheckboxGroup();
    Checkbox audioBox        = new Checkbox("Audio mode", boxGroup, true);
    Checkbox textBox         = new Checkbox("Text mode", boxGroup, false);
    Dialog criticTextDiag    = new Dialog(this, "Criticisms text");
    Button criticTextButton  = new Button(" Close ");

 // Global panel
  GridLayout gridLayout1 = new GridLayout();
    // infoDialog
    Dialog InfoDialog = new Dialog(this, "Movie Inforamtion");
    Button InfoDialogOk = new Button("    Ok    ");
 
 
  //Construire le cadre+Client
  public MovieClientPDA() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
      //   java.io.File trailersDir = new java.io.File(trailerDir);
      java.io.File trailersDir = new java.io.File(trailerDir);
      
      trailersDir.mkdir();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  //Initialiser le composant
  private void jbInit() throws Exception  {
      // init Choise
      this.setLocation(2,18);

    FromYearField.addItem("04");
    FromYearField.addItem("03");
    FromMonthField.add("01");
    FromMonthField.add("02");
    FromMonthField.add("03");
    FromMonthField.add("04");
    FromMonthField.add("05");
    FromMonthField.add("06");
    FromMonthField.add("07");
    FromMonthField.add("08");
    FromMonthField.add("09");
    FromMonthField.add("10");
    FromMonthField.add("11");
    FromMonthField.add("12");

    FromDayField.add("01");
    FromDayField.add("02");
    FromDayField.add("03");
    FromDayField.add("04");
    FromDayField.add("05");
    FromDayField.add("06");
    FromDayField.add("07");
    FromDayField.add("08");
    FromDayField.add("09");
    FromDayField.add("10");
    FromDayField.add("11");
    FromDayField.add("12");
    FromDayField.add("13");
    FromDayField.add("14");
    FromDayField.add("15");
    FromDayField.add("16");
    FromDayField.add("17");
    FromDayField.add("18");
    FromDayField.add("19");
    FromDayField.add("20");
    FromDayField.add("21");
    FromDayField.add("22");
    FromDayField.add("23");
    FromDayField.add("24");
    FromDayField.add("25");
    FromDayField.add("26");
    FromDayField.add("27");
    FromDayField.add("28");
    FromDayField.add("29");
    FromDayField.add("30");
    FromDayField.add("31");

    FromHourField.add("09");
    FromHourField.add("11");
    FromHourField.add("11");
    FromHourField.add("12");
    FromHourField.add("13");
    FromHourField.add("14");
    FromHourField.add("15");
    FromHourField.add("16");
    FromHourField.add("17");
    FromHourField.add("18");
    FromHourField.add("19");
    FromHourField.add("20");
    FromHourField.add("21");
    FromHourField.add("22");
    FromHourField.add("23");
    FromHourField.add("00");
    
    FromMinField.add("00");
    FromMinField.add("15");
    FromMinField.add("30");
    FromMinField.add("45");


    ToYearField.add("04");
    ToYearField.add("03");


    ToMonthField.add("01");
    ToMonthField.add("02");
    ToMonthField.add("03");
    ToMonthField.add("04");
    ToMonthField.add("05");
    ToMonthField.add("06");
    ToMonthField.add("07");
    ToMonthField.add("08");
    ToMonthField.add("09");
    ToMonthField.add("10");
    ToMonthField.add("11");
    ToMonthField.add("12");
    
    ToDayField.add("01");
    ToDayField.add("02");
    ToDayField.add("03");
    ToDayField.add("04");
    ToDayField.add("05");
    ToDayField.add("06");
    ToDayField.add("07");
    ToDayField.add("08");
    ToDayField.add("09");
    ToDayField.add("10");
    ToDayField.add("11");
    ToDayField.add("12");
    ToDayField.add("13");
    ToDayField.add("14");
    ToDayField.add("15");
    ToDayField.add("16");
    ToDayField.add("17");
    ToDayField.add("18");
    ToDayField.add("19");
    ToDayField.add("20");
    ToDayField.add("21");
    ToDayField.add("22");
    ToDayField.add("23");
    ToDayField.add("24");
    ToDayField.add("25");
    ToDayField.add("26");
    ToDayField.add("27");
    ToDayField.add("28");
    ToDayField.add("29");
    ToDayField.add("30");
    ToDayField.add("31");


    ToHourField.add("09");
    ToHourField.add("11");
    ToHourField.add("11");
    ToHourField.add("12");
    ToHourField.add("13");
    ToHourField.add("14");
    ToHourField.add("15");
    ToHourField.add("16");
    ToHourField.add("17");
    ToHourField.add("18");
    ToHourField.add("19");
    ToHourField.add("20");
    ToHourField.add("21");
    ToHourField.add("22");
    ToHourField.add("23");
    ToHourField.add("00");

    ToMinField.add("00");
    ToMinField.add("15");
    ToMinField.add("30");
    ToMinField.add("45");


      //end init choise
    //contentPane = (Panel) this.getContentPane();
    //border1 = BorderFactory.createEmptyBorder();
    //contentPane.setLayout(gridLayout1);
    this.setSize(new Dimension(232,259));
    //this.setVisible(true);
    this.setResizable(false);
    this.setTitle("Movie Client Application");

    //contentPane.setForeground(Color.black);

    // Panel Conf

    Button WSAMIOk = new Button("Ok");
    Button WSAMICancel = new Button("Cancel");
    Button WSAMIClose = new Button("Close");



     Label WSAMILable = new Label("  WSAMI Configuration and ND Service location");
     Label URILabel = new Label("   URI Service :");
     Label NDLabel = new Label("   ND Service location :");

     pane1.add(WSAMILable);

     pane2.setLayout(new GridLayout(2,2,10,10));
     pane2.add(URILabel);
     pane2.add(URIField);
     pane2.add(NDLabel);
     pane2.add(NDField);

     pane3.setLayout(new GridLayout(1,3,10,10));
     pane3.add(WSAMICancel);
     pane3.add(WSAMIOk);
     pane3.add(WSAMIClose);

     GridBagLayout gbl = new GridBagLayout();
     paneConf.setLayout(gbl);

     GridBagConstraints gbc = new GridBagConstraints();
     gbc.fill = GridBagConstraints.NONE;
     gbc.gridwidth = GridBagConstraints.REMAINDER;
     gbc.gridheight = 1;
     gbc.anchor = GridBagConstraints.CENTER;
     gbc.weightx = 1.0;
     gbc.weighty = 1.0;

     gbl.setConstraints(pane1,gbc);
     paneConf.add(pane1);

     GridBagConstraints gbc1 = new GridBagConstraints();
     gbc1.fill = GridBagConstraints.HORIZONTAL;
     gbc1.gridwidth = GridBagConstraints.REMAINDER;
     gbc1.gridheight = 5;
     gbc1.anchor = GridBagConstraints.CENTER;
     gbc1.weightx = 1.0;
     gbc1.weighty = 1.0;

     gbl.setConstraints(pane2,gbc1);
     paneConf.add(pane2);

     GridBagConstraints gbc2 = new GridBagConstraints();
     gbc2.fill = GridBagConstraints.NONE;
     gbc2.gridwidth = GridBagConstraints.REMAINDER;
     gbc2.gridheight = 1;
     gbc2.anchor = GridBagConstraints.CENTER;
     gbc2.weightx = 1.0;
     gbc2.weighty = 1.0;

     gbl.setConstraints(pane3,gbc2);
     paneConf.add(pane3);

    // Panel Movie


    Label MovieOr = new Label("   Or   ");
    MovieFind.setEnabled(false);
    MovieAll.setEnabled(false);
    enableFind(false);

    MovieList.setFont(new Font("Courier",0,11));
    lst.setBackground(new Color(255, 255, 193));//255 255 120
    lst.setFont(new Font("Courier",0,11));
    //lst.setSize(200,200);
    //lst.setBounds(0,0,200,200);

    GridBagLayout gbln1 = new GridBagLayout();
    pane4.setLayout(gbln1);

    GridBagConstraints gbcn1 = new GridBagConstraints();
    gbcn1.fill = GridBagConstraints.VERTICAL;
    gbcn1.gridwidth = 1;
    gbcn1.gridheight =  GridBagConstraints.REMAINDER;
    //gbcn1.anchor = GridBagConstraints.NORTHWEST;
    gbcn1.anchor = GridBagConstraints.WEST;
    gbcn1.weightx = 1.0;
    gbcn1.weighty = 1.0;
    gbcn1.insets = new Insets(2,2,2,2);
    gbln1.setConstraints(MovieFind,gbcn1);
    pane4.add(MovieFind);
    
    GridBagConstraints gbcn2 = new GridBagConstraints();
    gbcn2.fill = GridBagConstraints.VERTICAL;
    gbcn2.gridwidth = 1;
    gbcn2.gridheight =  GridBagConstraints.REMAINDER;
    //gbcn2.anchor = GridBagConstraints.NORTHWEST;
    gbcn2.anchor = GridBagConstraints.CENTER;
    gbcn2.weightx = 1.0;
    gbcn2.weighty = 1.0;
    gbcn2.insets = new Insets(2,2,2,2);
    gbln1.setConstraints(MovieOr,gbcn2);
    pane4.add(MovieOr);

    GridBagConstraints gbcn3 = new GridBagConstraints();
    gbcn3.fill = GridBagConstraints.VERTICAL;
    gbcn3.gridwidth =  GridBagConstraints.REMAINDER;
    gbcn3.gridheight =  GridBagConstraints.REMAINDER;
    //gbcn3.anchor = GridBagConstraints.NORTHWEST;
    gbcn3.anchor = GridBagConstraints.EAST;
    gbcn3.weightx = 1.0;
    gbcn3.weighty = 1.0;
    gbcn3.insets = new Insets(2,2,2,2);
    gbln1.setConstraints(MovieAll,gbcn3);
    pane4.add(MovieAll);

    GridBagLayout gbln2 = new GridBagLayout();
    pane5.setLayout(gbln2);
    //    pane5.setLayout(new GridLayout(3,2,10,10));
    
    GridBagConstraints gbcn4 = new GridBagConstraints();
    gbcn4.fill = GridBagConstraints.VERTICAL;
    gbcn4.gridwidth = 1;
    gbcn4.gridheight = 1;
    //gbcn3.anchor = GridBagConstraints.NORTHWEST;
    gbcn4.anchor = GridBagConstraints.WEST;
    gbcn4.weightx = 1.0;
    gbcn4.weighty = 1.0;
    gbcn4.insets = new Insets(4,2,2,2);
    gbln2.setConstraints(MovieTitle,gbcn4);
    pane5.add(MovieTitle);

    GridBagConstraints gbcn5 = new GridBagConstraints();
    gbcn5.fill = GridBagConstraints.VERTICAL;
    gbcn5.gridwidth = GridBagConstraints.REMAINDER;
    gbcn5.gridheight = 1;
    //gbcn5.anchor = GridBagConstraints.NORTHWEST;
    gbcn5.anchor = GridBagConstraints.EAST;
    gbcn5.weightx = 1.0;
    gbcn5.weighty = 1.0;
    gbcn5.insets = new Insets(4,2,2,2);
    gbln2.setConstraints(TitleField,gbcn5);
    pane5.add(TitleField);

    GridBagConstraints gbcn6 = new GridBagConstraints();
    gbcn6.fill = GridBagConstraints.VERTICAL;
    gbcn6.gridwidth = 1;
    gbcn6.gridheight = 1;
    //gbcn6.anchor = GridBagConstraints.NORTHWEST;
    gbcn6.anchor = GridBagConstraints.WEST;
    gbcn6.weightx = 1.0;
    gbcn6.weighty = 1.0;
    gbcn6.insets = new Insets(2,2,2,2);
    gbln2.setConstraints(MovieActor,gbcn6);
    pane5.add(MovieActor);
    
    GridBagConstraints gbcn7 = new GridBagConstraints();
    gbcn7.fill = GridBagConstraints.VERTICAL;
    gbcn7.gridwidth = GridBagConstraints.REMAINDER;
    gbcn7.gridheight = 1;
    //gbcn7.anchor = GridBagConstraints.NORTHWEST;
    gbcn7.anchor = GridBagConstraints.EAST;
    gbcn7.weightx = 1.0;
    gbcn7.weighty = 1.0;
    gbcn7.insets = new Insets(2,2,2,2);
    gbln2.setConstraints(ActorField,gbcn7);
    pane5.add(ActorField);

    GridBagConstraints gbcn8 = new GridBagConstraints();
    gbcn8.fill = GridBagConstraints.VERTICAL;
    gbcn8.gridwidth = 1;
    gbcn8.gridheight = GridBagConstraints.REMAINDER;
    //gbcn8.anchor = GridBagConstraints.NORTHWEST;
    gbcn8.anchor = GridBagConstraints.WEST;
    gbcn8.weightx = 1.0;
    gbcn8.weighty = 1.0;
    gbcn8.insets = new Insets(2,2,4,2);
    gbln2.setConstraints(MovieDirector,gbcn8);
    pane5.add(MovieDirector);

    GridBagConstraints gbcn9 = new GridBagConstraints();
    gbcn9.fill = GridBagConstraints.VERTICAL;
    gbcn9.gridwidth = GridBagConstraints.REMAINDER;
    gbcn9.gridheight = GridBagConstraints.REMAINDER;
    //gbcn9.anchor = GridBagConstraints.NORTHWEST;
    gbcn9.anchor = GridBagConstraints.EAST;
    gbcn9.weightx = 1.0;
    gbcn9.weighty = 1.0;
    gbcn9.insets = new Insets(2,2,4,2);
    gbln2.setConstraints(DirectorField,gbcn9);
    pane5.add(DirectorField);

    GridBagLayout gbln3 = new GridBagLayout();
    //pane6.setLayout(new GridLayout(1,2,10,10));
    pane6.setLayout(gbln3);

    GridBagConstraints gbcn10 = new GridBagConstraints();
    gbcn10.fill = GridBagConstraints.VERTICAL;
    gbcn10.gridwidth = 1;
    gbcn10.gridheight = GridBagConstraints.REMAINDER;
    //gbcn8.anchor = GridBagConstraints.NORTHWEST;
    gbcn10.anchor = GridBagConstraints.WEST;
    gbcn10.weightx = 1.0;
    gbcn10.weighty = 1.0;
    gbcn10.insets = new Insets(2,2,2,2);
    gbln3.setConstraints(MovieCancel,gbcn10);
    pane6.add(MovieCancel);

    GridBagConstraints gbcn11 = new GridBagConstraints();
    gbcn11.fill = GridBagConstraints.VERTICAL;
    gbcn11.gridwidth = GridBagConstraints.REMAINDER;
    gbcn11.gridheight = GridBagConstraints.REMAINDER;
    //gbcn11.anchor = GridBagConstraints.NORTHWEST;
    gbcn11.anchor = GridBagConstraints.EAST;
    gbcn11.weightx = 1.0;
    gbcn11.weighty = 1.0;
    gbcn11.insets = new Insets(2,2,2,2);
    gbln3.setConstraints(MovieSearch,gbcn11);
    pane6.add(MovieSearch);


    GridBagLayout gbl7 = new GridBagLayout();
    pane7.setLayout(gbl7);

    GridBagConstraints gbc7 = new GridBagConstraints();
    gbc7.fill = GridBagConstraints.NONE;
    gbc7.gridwidth = GridBagConstraints.REMAINDER;
    gbc7.gridheight = 1;
    gbc7.insets = new Insets(2,2,1,2);
    gbc7.anchor = GridBagConstraints.SOUTHWEST;
    gbc7.weightx = 1.0;
    gbc7.weighty = 1.0;

    gbl7.setConstraints(MovieList,gbc7);
    pane7.add(MovieList);

    gbc7 = new GridBagConstraints();
    gbc7.fill = GridBagConstraints.HORIZONTAL;
    gbc7.gridwidth = GridBagConstraints.REMAINDER;
    gbc7.gridheight = 10;
    gbc7.anchor = GridBagConstraints.CENTER;
    gbc7.insets = new Insets(1,2,2,2);
    gbc7.weightx = 1.0;
    gbc7.weighty = 1.0;

    gbl7.setConstraints(lst,gbc7);
    pane7.add(lst);

    GridBagLayout gbln4 = new GridBagLayout();
    //pane8.setLayout(new GridLayout(1,5,1,10));
    pane8.setLayout(gbln4);

    GridBagConstraints gbcn12 = new GridBagConstraints();
    gbcn12.fill = GridBagConstraints.VERTICAL;
    gbcn12.gridwidth = 1;
    gbcn12.gridheight =  GridBagConstraints.REMAINDER;
    //gbcn12.anchor = GridBagConstraints.NORTHWEST;
    gbcn12.anchor = GridBagConstraints.WEST;
    gbcn12.weightx = 1.0;
    gbcn12.weighty = 1.0;
    gbcn12.insets = new Insets(2,2,2,2);
    gbln4.setConstraints(MovieDetail,gbcn12);
    pane8.add(MovieDetail);
    
    GridBagConstraints gbcn13 = new GridBagConstraints();
    gbcn13.fill = GridBagConstraints.VERTICAL;
    gbcn13.gridwidth = 1;
    gbcn13.gridheight =  GridBagConstraints.REMAINDER;
    //gbcn13.anchor = GridBagConstraints.NORTHWEST;
    gbcn13.anchor = GridBagConstraints.CENTER;
    gbcn13.weightx = 1.0;
    gbcn13.weighty = 1.0;
    gbcn13.insets = new Insets(2,2,2,2);
    gbln4.setConstraints(MovieBooking,gbcn13);
    pane8.add(MovieBooking);

    GridBagConstraints gbcn14 = new GridBagConstraints();
    gbcn14.fill = GridBagConstraints.VERTICAL;
    gbcn14.gridwidth = 1;
    gbcn14.gridheight =  GridBagConstraints.REMAINDER;
    //gbcn14.anchor = GridBagConstraints.NORTHWEST;
    gbcn14.anchor = GridBagConstraints.CENTER;
    gbcn14.weightx = 1.0;
    gbcn14.weighty = 1.0;
    gbcn14.insets = new Insets(2,2,2,2);
    gbln4.setConstraints(MovieTrailer,gbcn14);
    pane8.add(MovieTrailer);

    GridBagConstraints gbcn15 = new GridBagConstraints();
    gbcn15.fill = GridBagConstraints.VERTICAL;
    gbcn15.gridwidth = 1;
    gbcn15.gridheight =  GridBagConstraints.REMAINDER;
    gbcn15.anchor = GridBagConstraints.NORTHWEST;
    gbcn15.anchor = GridBagConstraints.CENTER;
    gbcn15.weightx = 1.0;
    gbcn15.weighty = 1.0;
    gbcn15.insets = new Insets(2,2,2,2);
    gbln4.setConstraints(MovieCriticisms,gbcn15);
    pane8.add(MovieCriticisms);

    GridBagConstraints gbcn16 = new GridBagConstraints();
    gbcn16.fill = GridBagConstraints.VERTICAL;
    gbcn16.gridwidth = GridBagConstraints.REMAINDER;
    gbcn16.gridheight =  GridBagConstraints.REMAINDER;
    //gbcn16.anchor = GridBagConstraints.NORTHWEST;
    gbcn16.anchor = GridBagConstraints.WEST;
    gbcn16.weightx = 1.0;
    gbcn16.weighty = 1.0;
    gbcn16.insets = new Insets(2,2,2,2);
    gbln4.setConstraints(MovieEmpty,gbcn16);
    pane8.add(MovieEmpty);

    GridBagLayout gbl2 = new GridBagLayout();
    paneMovie.setLayout(gbl2);

    GridBagConstraints gbc4 = new GridBagConstraints();
    gbc4.fill = GridBagConstraints.NONE;
    gbc4.gridwidth = GridBagConstraints.REMAINDER;
    gbc4.gridheight = 1;
    gbc4.anchor = GridBagConstraints.CENTER;
    gbc4.insets = new Insets(2,2,1,2);
    gbc4.weightx = 1.0;
    gbc4.weighty = 1.0;

    gbl2.setConstraints(pane4,gbc4);
    paneMovie.add(pane4);

    gbc4 = new GridBagConstraints();
    gbc4.fill = GridBagConstraints.HORIZONTAL;
    gbc4.gridwidth = GridBagConstraints.REMAINDER;
    gbc4.gridheight = 3;
    gbc4.anchor = GridBagConstraints.CENTER;
    gbc4.insets = new Insets(1,2,1,2);
    gbc4.weightx = 1.0;
    gbc4.weighty = 1.0;

    gbl2.setConstraints(pane5,gbc4);
    paneMovie.add(pane5);

    gbc4 = new GridBagConstraints();
    gbc4.fill = GridBagConstraints.NONE;
    gbc4.gridwidth = GridBagConstraints.REMAINDER ;
    gbc4.gridheight = 1;
    gbc4.anchor = GridBagConstraints.CENTER;
    gbc4.insets = new Insets(1,2,1,2);
    gbc4.weightx = 1.0;
    gbc4.weighty = 1.0;

    gbl2.setConstraints(pane6,gbc4);
    paneMovie.add(pane6);


    gbc4 = new GridBagConstraints();
    gbc4.fill = GridBagConstraints.BOTH;
    gbc4.gridwidth = GridBagConstraints.REMAINDER ;
    gbc4.gridheight = 11;
    gbc4.anchor = GridBagConstraints.CENTER;
    gbc4.insets = new Insets(1,2,1,2);
    gbc4.weightx = 1.0;
    gbc4.weighty = 1.0;

    gbl2.setConstraints(pane7,gbc4);
    paneMovie.add(pane7);
    

    gbc4 = new GridBagConstraints();
    gbc4.fill = GridBagConstraints.NONE;
    gbc4.gridwidth = GridBagConstraints.REMAINDER ;
    gbc4.gridheight = 1;
    gbc4.anchor = GridBagConstraints.CENTER;
    gbc4.insets = new Insets(1,2,2,2);
    gbc4.weightx = 1.0;
    gbc4.weighty = 1.0;

    gbl2.setConstraints(pane8,gbc4);
    paneMovie.add(pane8);


  // Panel Detail

  Button DetailReset = new Button("Reset");
  Button DetailSearch = new Button("Search");
  Button DetailBooking = new Button("Booking");
  Button DetailEmpty = new Button("Empty");
  Button DetailCancel = new Button("Close");

  Label DetailSep  = new Label(" : ");
  Label DetailSep2 = new Label(" : ");
  Label DetailID   = new Label("   Movie ID : ");
  Label DetailName = new Label("   Movie Name : ");
  Label DetailFromDate = new Label("   from date (Y/M/D) : ");
  Label DetailFromTime = new Label("   from time (Hour/Min) : ");
  Label DetailToDate = new Label("   to date (Y/M/D): ");
  Label DetailToTime = new Label("   to time (Hour/Min): ");

  IDField.setEnabled(false);
  NameField.setEnabled(false);

  DetailList.setFont(new Font("Courier",0,11));
  lst2.setBackground(new Color(255, 255, 193));//255 255 120
  lst2.setFont(new Font("Courier",0,11));
  //lst2.setSize(200,200);
  //lst2.setBounds(0,0,200,200);


  GridBagLayout gbln5 = new GridBagLayout();
  //  paneFromDate.setLayout(new GridLayout(1,3,0,0));
  paneFromDate.setLayout(gbln5);
  
  GridBagConstraints gbcn17 = new GridBagConstraints();
  gbcn17.fill = GridBagConstraints.VERTICAL;
  gbcn17.gridwidth = 1;
  gbcn17.gridheight = GridBagConstraints.REMAINDER;
  //gbcn17.anchor = GridBagConstraints.NORTHWEST;
  gbcn17.anchor = GridBagConstraints.WEST;
  gbcn17.weightx = 1.0;
  gbcn17.weighty = 1.0;
  gbcn17.insets = new Insets(0,0,0,0);
  gbln5.setConstraints(FromYearField,gbcn17);
  paneFromDate.add(FromYearField);
  
  GridBagConstraints gbcn18 = new GridBagConstraints();
  gbcn18.fill = GridBagConstraints.VERTICAL;
  gbcn18.gridwidth = 1;
  gbcn18.gridheight = GridBagConstraints.REMAINDER;
  //gbcn18.anchor = GridBagConstraints.NORTHWEST;
  gbcn18.anchor = GridBagConstraints.CENTER;
  gbcn18.weightx = 1.0;
  gbcn18.weighty = 1.0;
  gbcn18.insets = new Insets(0,0,0,0);
  gbln5.setConstraints(FromMonthField,gbcn18);
  paneFromDate.add(FromMonthField);

  GridBagConstraints gbcn19 = new GridBagConstraints();
  gbcn19.fill = GridBagConstraints.VERTICAL;
  gbcn19.gridwidth = GridBagConstraints.REMAINDER;
  gbcn19.gridheight = GridBagConstraints.REMAINDER;
  //gbcn19.anchor = GridBagConstraints.NORTHWEST;
  gbcn19.anchor = GridBagConstraints.EAST;
  gbcn19.weightx = 1.0;
  gbcn19.weighty = 1.0;
  gbcn19.insets = new Insets(0,0,0,0);
  gbln5.setConstraints(FromDayField,gbcn19);
  paneFromDate.add(FromDayField);

  GridBagLayout gbln6 = new GridBagLayout();
  //paneFromTime.setLayout(new GridLayout(1,2,5,0));
  paneFromTime.setLayout(gbln6);

  GridBagConstraints gbcn20 = new GridBagConstraints();
  gbcn20.fill = GridBagConstraints.VERTICAL;
  gbcn20.gridwidth = 1;
  gbcn20.gridheight = GridBagConstraints.REMAINDER;
  //gbcn20.anchor = GridBagConstraints.NORTHWEST;
  gbcn20.anchor = GridBagConstraints.CENTER;
  gbcn20.weightx = 1.0;
  gbcn20.weighty = 1.0;
  gbcn20.insets = new Insets(0,0,0,0);
  gbln6.setConstraints(FromHourField,gbcn20);
  paneFromTime.add(FromHourField);

  GridBagConstraints gbcn21 = new GridBagConstraints();
  gbcn21.fill = GridBagConstraints.VERTICAL;
  gbcn21.gridwidth = GridBagConstraints.REMAINDER;
  gbcn21.gridheight = GridBagConstraints.REMAINDER;
  //gbcn21.anchor = GridBagConstraints.NORTHWEST;
  gbcn21.anchor = GridBagConstraints.CENTER;
  gbcn21.weightx = 1.0;
  gbcn21.weighty = 1.0;
  gbcn21.insets = new Insets(0,0,0,0);
  gbln6.setConstraints(FromMinField,gbcn21);
  paneFromTime.add(FromMinField);
 

  GridBagLayout gbln7 = new GridBagLayout();
  //  paneFromDate.setLayout(new GridLayout(1,3,0,0));
  paneToDate.setLayout(gbln7);
  
  GridBagConstraints gbcn22 = new GridBagConstraints();
  gbcn22.fill = GridBagConstraints.VERTICAL;
  gbcn22.gridwidth = 1;
  gbcn22.gridheight = GridBagConstraints.REMAINDER;
  //gbcn22.anchor = GridBagConstraints.NORTHWEST;
  gbcn22.anchor = GridBagConstraints.WEST;
  gbcn22.weightx = 1.0;
  gbcn17.weighty = 1.0;
  gbcn22.insets = new Insets(0,0,0,0);
  gbln7.setConstraints(ToYearField,gbcn22);
  paneToDate.add(ToYearField);
  
  GridBagConstraints gbcn23 = new GridBagConstraints();
  gbcn23.fill = GridBagConstraints.VERTICAL;
  gbcn23.gridwidth = 1;
  gbcn23.gridheight = GridBagConstraints.REMAINDER;
  //gbcn23.anchor = GridBagConstraints.NORTHWEST;
  gbcn23.anchor = GridBagConstraints.CENTER;
  gbcn23.weightx = 1.0;
  gbcn23.weighty = 1.0;
  gbcn23.insets = new Insets(0,0,0,0);
  gbln7.setConstraints(ToMonthField,gbcn23);
  paneToDate.add(ToMonthField);

  GridBagConstraints gbcn24 = new GridBagConstraints();
  gbcn24.fill = GridBagConstraints.VERTICAL;
  gbcn24.gridwidth = GridBagConstraints.REMAINDER;
  gbcn24.gridheight = GridBagConstraints.REMAINDER;
  //gbcn24.anchor = GridBagConstraints.NORTHWEST;
  gbcn24.anchor = GridBagConstraints.EAST;
  gbcn24.weightx = 1.0;
  gbcn24.weighty = 1.0;
  gbcn24.insets = new Insets(0,0,0,0);
  gbln7.setConstraints(ToDayField,gbcn24);
  paneToDate.add(ToDayField);

  GridBagLayout gbln8 = new GridBagLayout();
  //paneFromTime.setLayout(new GridLayout(1,2,5,0));
  paneToTime.setLayout(gbln8);

  GridBagConstraints gbcn25 = new GridBagConstraints();
  gbcn25.fill = GridBagConstraints.VERTICAL;
  gbcn25.gridwidth = 1;
  gbcn25.gridheight = GridBagConstraints.REMAINDER;
  //gbcn25.anchor = GridBagConstraints.NORTHWEST;
  gbcn25.anchor = GridBagConstraints.CENTER;
  gbcn25.weightx = 1.0;
  gbcn25.weighty = 1.0;
  gbcn25.insets = new Insets(0,0,0,0);
  gbln8.setConstraints(ToHourField,gbcn25);
  paneToTime.add(ToHourField);

  GridBagConstraints gbcn26 = new GridBagConstraints();
  gbcn26.fill = GridBagConstraints.VERTICAL;
  gbcn26.gridwidth = GridBagConstraints.REMAINDER;
  gbcn26.gridheight = GridBagConstraints.REMAINDER;
  //gbcn26.anchor = GridBagConstraints.NORTHWEST;
  gbcn26.anchor = GridBagConstraints.CENTER;
  gbcn26.weightx = 1.0;
  gbcn26.weighty = 1.0;
  gbcn26.insets = new Insets(0,0,0,0);
  gbln8.setConstraints(ToMinField,gbcn26);
  paneToTime.add(ToMinField);

  /*
  paneToDate.setLayout(new GridLayout(1,3,0,0));
  paneToDate.add(ToYearField);
  paneToDate.add(ToMonthField);
  paneToDate.add(ToDayField);

  paneToTime.setLayout(new GridLayout(1,2,5,0));
  paneToTime.add(ToHourField);
  // paneToTime.add(DetailSep2);
  paneToTime.add(ToMinField);
	     */
  GridBagLayout gbln9 = new GridBagLayout();
  //  pane9.setLayout(new GridLayout(6,0,2,4));
  pane9.setLayout(gbln9);

  GridBagConstraints gbcn27 = new GridBagConstraints();
  gbcn27.fill = GridBagConstraints.VERTICAL;
  gbcn27.gridwidth = 1;
  gbcn27.gridheight = 1;
  //gbcn27.anchor = GridBagConstraints.NORTHWEST;
  gbcn27.anchor = GridBagConstraints.WEST;
  gbcn27.weightx = 1.0;
  gbcn27.weighty = 1.0;
  gbcn27.insets = new Insets(1,1,1,0);
  gbln9.setConstraints(DetailID,gbcn27);
  pane9.add(DetailID);

  GridBagConstraints gbcn28 = new GridBagConstraints();
  gbcn28.fill = GridBagConstraints.VERTICAL;
  gbcn28.gridwidth = GridBagConstraints.REMAINDER;
  gbcn28.gridheight = 1;
  //gbcn28.anchor = GridBagConstraints.NORTHWEST;
  gbcn28.anchor = GridBagConstraints.EAST;
  gbcn28.weightx = 1.0;
  gbcn28.weighty = 1.0;
  gbcn28.insets = new Insets(1,0,1,3);
  gbln9.setConstraints(IDField,gbcn28);
  pane9.add(IDField);

  GridBagConstraints gbcn29 = new GridBagConstraints();
  gbcn29.fill = GridBagConstraints.VERTICAL;
  gbcn29.gridwidth = 1;
  gbcn29.gridheight = 1;
  //gbcn29.anchor = GridBagConstraints.NORTHWEST;
  gbcn29.anchor = GridBagConstraints.WEST;
  gbcn29.weightx = 1.0;
  gbcn29.weighty = 1.0;
  gbcn29.insets = new Insets(1,1,1,0);
  gbln9.setConstraints(DetailName,gbcn29);
  pane9.add(DetailName);

  GridBagConstraints gbcn301 = new GridBagConstraints();
  gbcn301.fill = GridBagConstraints.VERTICAL;
  gbcn301.gridwidth = GridBagConstraints.REMAINDER;
  gbcn301.gridheight = 1;
  //gbcn301.anchor = GridBagConstraints.NORTHWEST;
  gbcn301.anchor = GridBagConstraints.EAST;
  gbcn301.weightx = 1.0;
  gbcn301.weighty = 1.0;
  gbcn301.insets = new Insets(1,0,1,3);
  gbln9.setConstraints(NameField,gbcn301);
  pane9.add(NameField);

  GridBagConstraints gbcn30 = new GridBagConstraints();
  gbcn30.fill = GridBagConstraints.VERTICAL;
  gbcn30.gridwidth = 1;
  gbcn30.gridheight = 1;
  //gbcn30.anchor = GridBagConstraints.NORTHWEST;
  gbcn30.anchor = GridBagConstraints.WEST;
  gbcn30.weightx = 1.0;
  gbcn30.weighty = 1.0;
  gbcn30.insets = new Insets(1,1,1,0);
  gbln9.setConstraints(DetailFromDate,gbcn30);
  pane9.add(DetailFromDate);

  GridBagConstraints gbcn31 = new GridBagConstraints();
  gbcn31.fill = GridBagConstraints.VERTICAL;
  gbcn31.gridwidth = GridBagConstraints.REMAINDER;
  gbcn31.gridheight = 1;
  //gbcn31.anchor = GridBagConstraints.NORTHWEST;
  gbcn31.anchor = GridBagConstraints.EAST;
  gbcn31.weightx = 1.0;
  gbcn31.weighty = 1.0;
  gbcn31.insets = new Insets(1,0,1,3);
  gbln9.setConstraints(paneFromDate,gbcn31);
  pane9.add(paneFromDate);

  GridBagConstraints gbcn32 = new GridBagConstraints();
  gbcn32.fill = GridBagConstraints.VERTICAL;
  gbcn32.gridwidth = 1;
  gbcn32.gridheight = 1;
  //gbcn32.anchor = GridBagConstraints.NORTHWEST;
  gbcn32.anchor = GridBagConstraints.WEST;
  gbcn32.weightx = 1.0;
  gbcn32.weighty = 1.0;
  gbcn32.insets = new Insets(1,1,1,0);
  gbln9.setConstraints(DetailFromTime,gbcn32);
  pane9.add(DetailFromTime);

  GridBagConstraints gbcn33 = new GridBagConstraints();
  gbcn33.fill = GridBagConstraints.VERTICAL;
  gbcn33.gridwidth = GridBagConstraints.REMAINDER;
  gbcn33.gridheight = 1;
  //gbcn33.anchor = GridBagConstraints.NORTHWEST;
  gbcn33.anchor = GridBagConstraints.CENTER;
  gbcn33.weightx = 1.0;
  gbcn33.weighty = 1.0;
  gbcn33.insets = new Insets(1,0,1,1);
  gbln9.setConstraints(paneFromTime,gbcn33);
  pane9.add(paneFromTime);

  GridBagConstraints gbcn34 = new GridBagConstraints();
  gbcn34.fill = GridBagConstraints.VERTICAL;
  gbcn34.gridwidth = 1;
  gbcn34.gridheight = 1;
  //gbcn34.anchor = GridBagConstraints.NORTHWEST;
  gbcn34.anchor = GridBagConstraints.WEST;
  gbcn34.weightx = 1.0;
  gbcn34.weighty = 1.0;
  gbcn34.insets = new Insets(1,1,1,0);
  gbln9.setConstraints(DetailToDate,gbcn34);
  pane9.add(DetailToDate);

  GridBagConstraints gbcn35 = new GridBagConstraints();
  gbcn35.fill = GridBagConstraints.VERTICAL;
  gbcn35.gridwidth = GridBagConstraints.REMAINDER;
  gbcn35.gridheight = 1;
  //gbcn35.anchor = GridBagConstraints.NORTHWEST;
  gbcn35.anchor = GridBagConstraints.EAST;
  gbcn35.weightx = 1.0;
  gbcn35.weighty = 1.0;
  gbcn35.insets = new Insets(1,0,1,3);
  gbln9.setConstraints(paneToDate,gbcn35);
  pane9.add(paneToDate);

  GridBagConstraints gbcn36 = new GridBagConstraints();
  gbcn36.fill = GridBagConstraints.VERTICAL;
  gbcn36.gridwidth = 1;
  gbcn36.gridheight = GridBagConstraints.REMAINDER;
  //gbcn36.anchor = GridBagConstraints.NORTHWEST;
  gbcn36.anchor = GridBagConstraints.WEST;
  gbcn36.weightx = 1.0;
  gbcn36.weighty = 1.0;
  gbcn36.insets = new Insets(1,1,1,0);
  gbln9.setConstraints(DetailToTime,gbcn36);
  pane9.add(DetailToTime);

  GridBagConstraints gbcn37 = new GridBagConstraints();
  gbcn37.fill = GridBagConstraints.VERTICAL;
  gbcn37.gridwidth = GridBagConstraints.REMAINDER;
  gbcn37.gridheight = GridBagConstraints.REMAINDER;
  //gbcn37.anchor = GridBagConstraints.NORTHWEST;
  gbcn37.anchor = GridBagConstraints.CENTER;
  gbcn37.weightx = 1.0;
  gbcn37.weighty = 1.0;
  gbcn37.insets = new Insets(1,0,1,1);
  gbln9.setConstraints(paneToTime,gbcn37);
  pane9.add(paneToTime);

  GridBagLayout gbln10 = new GridBagLayout();
  //pane10.setLayout(new GridLayout(1,2,4,4));
  pane10.setLayout(gbln10);
  
  GridBagConstraints gbcn38 = new GridBagConstraints();
  gbcn38.fill = GridBagConstraints.VERTICAL;
  gbcn38.gridwidth = 1;
  gbcn38.gridheight = GridBagConstraints.REMAINDER;
  //gbcn38.anchor = GridBagConstraints.NORTHWEST;
  gbcn38.anchor = GridBagConstraints.CENTER;
  gbcn38.weightx = 1.0;
  gbcn38.weighty = 1.0;
  gbcn38.insets = new Insets(1,1,1,1);
  gbln10.setConstraints(DetailReset,gbcn38);
  pane10.add(DetailReset);

  GridBagConstraints gbcn39 = new GridBagConstraints();
  gbcn39.fill = GridBagConstraints.VERTICAL;
  gbcn39.gridwidth = GridBagConstraints.REMAINDER;
  gbcn39.gridheight = GridBagConstraints.REMAINDER;
  //gbcn39.anchor = GridBagConstraints.NORTHWEST;
  gbcn39.anchor = GridBagConstraints.CENTER;
  gbcn39.weightx = 1.0;
  gbcn39.weighty = 1.0;
  gbcn39.insets = new Insets(1,1,1,1);
  gbln10.setConstraints(DetailSearch,gbcn39);
  pane10.add(DetailSearch);


  GridBagLayout gbl11 = new GridBagLayout();
  pane11.setLayout(gbl11);

  GridBagConstraints gbc11 = new GridBagConstraints();
  gbc11.fill = GridBagConstraints.BOTH;
  gbc11.gridwidth = GridBagConstraints.REMAINDER;
  gbc11.gridheight = 1;
  gbc11.anchor = GridBagConstraints.SOUTHWEST;
  gbc11.insets = new Insets(1,1,1,1);
  gbc11.weightx = 1.0;
  gbc11.weighty = 1.0;
  
  
  gbl11.setConstraints(DetailList,gbc11);
  pane11.add(DetailList);

  gbc11 = new GridBagConstraints();
  gbc11.fill = GridBagConstraints.BOTH;
  gbc11.gridwidth = GridBagConstraints.REMAINDER;
  gbc11.gridheight = 3;
  gbc11.anchor = GridBagConstraints.CENTER;
  gbcn39.insets = new Insets(1,1,1,1);
  gbc11.weightx = 1.0;
  gbc11.weighty = 1.0;

  lst2.setVisible(false);

  gbl11.setConstraints(lst2,gbc11);
  pane11.add(lst2);

  GridBagLayout gbln11 = new GridBagLayout();
  //pane12.setLayout(new GridLayout(1,3,4,4));
  pane12.setLayout(gbln11);

  GridBagConstraints gbcn40 = new GridBagConstraints();
  gbcn40.fill = GridBagConstraints.VERTICAL;
  gbcn40.gridwidth = 1;
  gbcn40.gridheight = GridBagConstraints.REMAINDER;
  //gbcn40.anchor = GridBagConstraints.NORTHWEST;
  gbcn40.anchor = GridBagConstraints.CENTER;
  gbcn40.weightx = 1.0;
  gbcn40.weighty = 1.0;
  gbcn40.insets = new Insets(0,0,0,0);
  gbln11.setConstraints(DetailBooking,gbcn40);
  pane12.add(DetailBooking);

  GridBagConstraints gbcn41 = new GridBagConstraints();
  gbcn41.fill = GridBagConstraints.VERTICAL;
  gbcn41.gridwidth = 1;
  gbcn41.gridheight = GridBagConstraints.REMAINDER;
  //gbcn41.anchor = GridBagConstraints.NORTHWEST;
  gbcn41.anchor = GridBagConstraints.CENTER;
  gbcn41.weightx = 1.0;
  gbcn41.weighty = 1.0;
  gbcn41.insets = new Insets(0,0,0,0);
  gbln11.setConstraints(DetailEmpty,gbcn41);
  pane12.add(DetailEmpty);

  GridBagConstraints gbcn42 = new GridBagConstraints();
  gbcn42.fill = GridBagConstraints.VERTICAL;
  gbcn42.gridwidth = GridBagConstraints.REMAINDER;;
  gbcn42.gridheight = GridBagConstraints.REMAINDER;;
  //gbcn42.anchor = GridBagConstraints.NORTHWEST;
  gbcn42.anchor = GridBagConstraints.CENTER;
  gbcn42.weightx = 1.0;
  gbcn42.weighty = 1.0;
  gbcn42.insets = new Insets(0,0,0,0);
  gbln11.setConstraints(DetailCancel,gbcn42);
  pane12.add(DetailCancel);

  GridBagLayout gbl3 = new GridBagLayout();
  paneDetail.setLayout(gbl3);

  GridBagConstraints gbc5 = new GridBagConstraints();
  gbc5.fill = GridBagConstraints.BOTH;
  gbc5.gridwidth = GridBagConstraints.REMAINDER;
  gbc5.gridheight = 7;
  gbc5.anchor = GridBagConstraints.CENTER;
  gbc5.weightx = 1.0;
  gbc5.weighty = 1.0;

  gbl3.setConstraints(pane9,gbc5);
  paneDetail.add(pane9);

  gbc5 = new GridBagConstraints();
  gbc5.fill = GridBagConstraints.NONE;
  gbc5.gridwidth = GridBagConstraints.REMAINDER;
  gbc5.gridheight = 1;
  gbc5.anchor = GridBagConstraints.CENTER;
  gbc5.weightx = 1.0;
  gbc5.weighty = 1.0;

  gbl3.setConstraints(pane10,gbc5);
  paneDetail.add(pane10);
  
  gbc5 = new GridBagConstraints();
  gbc5.fill = GridBagConstraints.BOTH;
  gbc5.gridwidth = GridBagConstraints.REMAINDER;
  gbc5.gridheight = 5;
  gbc5.anchor = GridBagConstraints.CENTER;
  gbc5.weightx = 1.0;
  gbc5.weighty = 1.0;
  
  gbl3.setConstraints(pane11,gbc5);
  paneDetail.add(pane11);
  
  gbc5 = new GridBagConstraints();
  gbc5.fill = GridBagConstraints.NONE;
  gbc5.gridwidth = GridBagConstraints.REMAINDER;
  gbc5.gridheight = 1;
  gbc5.anchor = GridBagConstraints.CENTER;
  gbc5.weightx = 1.0;
  gbc5.weighty = 1.0;
  
  gbl3.setConstraints(pane12,gbc5);
  paneDetail.add(pane12);
  

 // Panel booking

 Button BookingReset  = new Button(" Reset ");
 Button BookingOk     = new Button("  Ok   ");
 Button BookingCancel = new Button(" Close ");



 Label BookingID = new Label("   Schedule : ");
 Label BookingName = new Label("   Movie Name : ");
 Label BookingFName = new Label("   First Name : ");
 Label BookingLName = new Label("   Last Name : ");
 Label BookingNumSeats = new Label("   Seats : ");


 IDBookField.setEnabled(false);
 NameBookField.setEnabled(false);

 GridBagLayout gbln12 = new GridBagLayout();
 // pane13.setLayout(new GridLayout(5,2,10,10));
 pane13.setLayout(gbln12);


  GridBagConstraints gbcn43 = new GridBagConstraints();
  gbcn43.fill = GridBagConstraints.VERTICAL;
  gbcn43.gridwidth = 1;
  gbcn43.gridheight = 1;
  //gbcn43.anchor = GridBagConstraints.NORTHWEST;
  gbcn43.anchor = GridBagConstraints.WEST;
  gbcn43.weightx = 1.0;
  gbcn43.weighty = 1.0;
  gbcn43.insets = new Insets(3,1,1,0);
  gbln12.setConstraints(BookingID,gbcn43);
  pane13.add(BookingID);


  GridBagConstraints gbcn44 = new GridBagConstraints();
  gbcn44.fill = GridBagConstraints.VERTICAL;
  gbcn44.gridwidth = GridBagConstraints.REMAINDER;
  gbcn44.gridheight = 1;
  //gbcn44.anchor = GridBagConstraints.NORTHWEST;
  gbcn44.anchor = GridBagConstraints.EAST;
  gbcn44.weightx = 1.0;
  gbcn44.weighty = 1.0;
  gbcn44.insets = new Insets(3,0,1,3);
  gbln12.setConstraints(IDBookField,gbcn44);
  pane13.add(IDBookField);

  GridBagConstraints gbcn45 = new GridBagConstraints();
  gbcn45.fill = GridBagConstraints.VERTICAL;
  gbcn45.gridwidth = 1;
  gbcn45.gridheight = 1;
  //gbcn45.anchor = GridBagConstraints.NORTHWEST;
  gbcn45.anchor = GridBagConstraints.WEST;
  gbcn45.weightx = 1.0;
  gbcn45.weighty = 1.0;
  gbcn45.insets = new Insets(1,1,1,0);
  gbln12.setConstraints(BookingName,gbcn45);
  pane13.add(BookingName);

  GridBagConstraints gbcn461 = new GridBagConstraints();
  gbcn461.fill = GridBagConstraints.VERTICAL;
  gbcn461.gridwidth = GridBagConstraints.REMAINDER;
  gbcn461.gridheight = 1;
  //gbcn461.anchor = GridBagConstraints.NORTHWEST;
  gbcn461.anchor = GridBagConstraints.EAST;
  gbcn461.weightx = 1.0;
  gbcn461.weighty = 1.0;
  gbcn461.insets = new Insets(1,0,1,3);
  gbln12.setConstraints(NameBookField,gbcn461);
  pane13.add(NameBookField);

  GridBagConstraints gbcn46 = new GridBagConstraints();
  gbcn46.fill = GridBagConstraints.VERTICAL;
  gbcn46.gridwidth = 1;
  gbcn46.gridheight = 1;
  //gbcn46.anchor = GridBagConstraints.NORTHWEST;
  gbcn46.anchor = GridBagConstraints.WEST;
  gbcn46.weightx = 1.0;
  gbcn46.weighty = 1.0;
  gbcn46.insets = new Insets(1,1,1,0);
  gbln12.setConstraints(BookingFName,gbcn46);
  pane13.add(BookingFName);

  GridBagConstraints gbcn47 = new GridBagConstraints();
  gbcn47.fill = GridBagConstraints.VERTICAL;
  gbcn47.gridwidth = GridBagConstraints.REMAINDER;
  gbcn47.gridheight = 1;
  //gbcn47.anchor = GridBagConstraints.NORTHWEST;
  gbcn47.anchor = GridBagConstraints.EAST;
  gbcn47.weightx = 1.0;
  gbcn47.weighty = 1.0;
  gbcn47.insets = new Insets(1,0,1,3);
  gbln12.setConstraints(FNameField,gbcn47);
  pane13.add(FNameField);

  GridBagConstraints gbcn48 = new GridBagConstraints();
  gbcn48.fill = GridBagConstraints.VERTICAL;
  gbcn48.gridwidth = 1;
  gbcn48.gridheight = 1;
  //gbcn48.anchor = GridBagConstraints.NORTHWEST;
  gbcn48.anchor = GridBagConstraints.WEST;
  gbcn48.weightx = 1.0;
  gbcn48.weighty = 1.0;
  gbcn48.insets = new Insets(1,1,1,0);
  gbln12.setConstraints(BookingLName,gbcn48);
  pane13.add(BookingLName);

  GridBagConstraints gbcn49 = new GridBagConstraints();
  gbcn49.fill = GridBagConstraints.VERTICAL;
  gbcn49.gridwidth = GridBagConstraints.REMAINDER;
  gbcn49.gridheight = 1;
  //gbcn49.anchor = GridBagConstraints.NORTHWEST;
  gbcn49.anchor = GridBagConstraints.EAST;
  gbcn49.weightx = 1.0;
  gbcn49.weighty = 1.0;
  gbcn49.insets = new Insets(1,0,1,3);
  gbln12.setConstraints(LNameField,gbcn49);
  pane13.add(LNameField);

  GridBagConstraints gbcn50 = new GridBagConstraints();
  gbcn50.fill = GridBagConstraints.VERTICAL;
  gbcn50.gridwidth = 1;
  gbcn50.gridheight = GridBagConstraints.REMAINDER;
  //gbcn50.anchor = GridBagConstraints.NORTHWEST;
  gbcn50.anchor = GridBagConstraints.WEST;
  gbcn50.weightx = 1.0;
  gbcn50.weighty = 1.0;
  gbcn50.insets = new Insets(1,1,3,0);
  gbln12.setConstraints(BookingNumSeats,gbcn50);
  pane13.add(BookingNumSeats);

  GridBagConstraints gbcn51 = new GridBagConstraints();
  gbcn51.fill = GridBagConstraints.VERTICAL;
  gbcn51.gridwidth = GridBagConstraints.REMAINDER;
  gbcn51.gridheight = GridBagConstraints.REMAINDER;
  //gbcn51.anchor = GridBagConstraints.NORTHWEST;
  gbcn51.anchor = GridBagConstraints.EAST;
  gbcn51.weightx = 1.0;
  gbcn51.weighty = 1.0;
  gbcn51.insets = new Insets(1,0,3,3);
  gbln12.setConstraints(NumSeatsField,gbcn51);
  pane13.add(NumSeatsField);

  GridBagLayout gbln13 = new GridBagLayout();
  // pane14.setLayout(new GridLayout(1,2,10,10));
  pane14.setLayout(gbln13);

  GridBagConstraints gbcn52 = new GridBagConstraints();
  gbcn52.fill = GridBagConstraints.VERTICAL;
  gbcn52.gridwidth = 1;
  gbcn52.gridheight = GridBagConstraints.REMAINDER;
  //gbcn52.anchor = GridBagConstraints.NORTHWEST;
  gbcn52.anchor = GridBagConstraints.WEST;
  gbcn52.weightx = 1.0;
  gbcn52.weighty = 1.0;
  gbcn52.insets = new Insets(1,1,1,1);
  gbln13.setConstraints(BookingReset,gbcn52);
  pane14.add(BookingReset);

  GridBagConstraints gbcn53 = new GridBagConstraints();
  gbcn53.fill = GridBagConstraints.VERTICAL;
  gbcn53.gridwidth = 1;
  gbcn53.gridheight = GridBagConstraints.REMAINDER;
  //gbcn53.anchor = GridBagConstraints.NORTHWEST;
  gbcn53.anchor = GridBagConstraints.CENTER;
  gbcn53.weightx = 1.0;
  gbcn53.weighty = 1.0;
  gbcn53.insets = new Insets(1,1,1,1);
  gbln13.setConstraints(BookingOk,gbcn53);
  pane14.add(BookingOk);

  GridBagConstraints gbcn54 = new GridBagConstraints();
  gbcn54.fill = GridBagConstraints.VERTICAL;
  gbcn54.gridwidth = GridBagConstraints.REMAINDER;
  gbcn54.gridheight = GridBagConstraints.REMAINDER;
  //gbcn54.anchor = GridBagConstraints.NORTHWEST;
  gbcn54.anchor = GridBagConstraints.EAST;
  gbcn54.weightx = 1.0;
  gbcn54.weighty = 1.0;
  gbcn54.insets = new Insets(1,1,1,1);
  gbln13.setConstraints(BookingCancel,gbcn54);
  pane14.add(BookingCancel);

 GridBagLayout gbl4 = new GridBagLayout();
 paneBooking.setLayout(gbl4);

 GridBagConstraints gbc6 = new GridBagConstraints();
 gbc6.fill = GridBagConstraints.HORIZONTAL;
 gbc6.gridwidth = GridBagConstraints.REMAINDER;
 gbc6.gridheight = 6;
 gbc6.anchor = GridBagConstraints.CENTER;
 gbc6.weightx = 1.0;
 gbc6.weighty = 1.0;

 gbl4.setConstraints(pane13,gbc6);
 paneBooking.add(pane13);

 gbc6 = new GridBagConstraints();
 gbc6.fill = GridBagConstraints.NONE;
 gbc6.gridwidth = GridBagConstraints.REMAINDER;
 gbc6.gridheight = 1;
 gbc6.anchor = GridBagConstraints.CENTER;
 gbc6.weightx = 1.0;
 gbc6.weighty = 1.0;

 gbl4.setConstraints(pane14,gbc6);
 paneBooking.add(pane14);



 //Panel MovieGlobal


   final CardLayout cdl = new CardLayout();
   paneMovieGlobal.setLayout(cdl);
   paneMovieGlobal.add("Movie"   , paneMovie);
   paneMovieGlobal.add("Detail"  , paneDetail);
   paneMovieGlobal.add("Booking" , paneBooking);
   paneMovieGlobal.add("Trailer" , paneTrailer);

   //paneMovie.validate();
   //paneDetail.validate();
   //paneBooking.validate();
   //paneTrailer.validate();

   cdl.first(paneMovieGlobal);
   //paneMovieGlobal.validate();

   // Panel Choice Criticisms Mode
   modeDiag.setSize(140,80);
   modeDiag.setResizable(false);
   modeDiag.setLocation(75,160);
   
   Panel panb = new Panel();
   
   GridBagLayout gbl17 = new GridBagLayout();
   panb.setLayout(gbl17);
   
	GridBagConstraints gbc24 = new GridBagConstraints();
	gbc24.fill = GridBagConstraints.BOTH;
	gbc24.gridwidth = 1;
	gbc24.gridheight =GridBagConstraints.REMAINDER;
	gbc24.anchor = GridBagConstraints.CENTER;
	gbc24.weightx = 1.0;
	gbc24.weighty = 1.0;
    	gbc24.insets = new Insets(3,5,5,5);
	
	bok.setBackground(Color.green);
	gbl17.setConstraints(bok,gbc24);
	panb.add(bok);

	GridBagConstraints gbc25 = new GridBagConstraints();
	gbc25.fill = GridBagConstraints.BOTH;
	gbc25.gridwidth = 1;
	gbc25.gridheight =GridBagConstraints.REMAINDER;
	gbc25.anchor = GridBagConstraints.CENTER;
	gbc25.weightx = 1.0;
	gbc25.weighty = 1.0;
    	gbc25.insets = new Insets(3,5,5,5);

	bcancel.setBackground(Color.green);
	gbl17.setConstraints(bcancel,gbc25);
	panb.add(bcancel);
 
	Panel pan = new Panel();
	GridBagLayout gbl8 = new GridBagLayout();
        pan.setLayout(gbl8);

	GridBagConstraints gbc26 = new GridBagConstraints();
	gbc26.fill = GridBagConstraints.BOTH;
	gbc26.gridwidth = GridBagConstraints.REMAINDER;
	gbc26.gridheight =1;
	gbc26.anchor = GridBagConstraints.CENTER;
	gbc26.weightx = 1.0;
	gbc26.weighty = 1.0;
    	gbc26.insets = new Insets(5,5,1,5);

	gbl8.setConstraints(audioBox,gbc26);
	pan.add(audioBox);

	GridBagConstraints gbc27 = new GridBagConstraints();
	gbc27.fill = GridBagConstraints.BOTH;
	gbc27.gridwidth = GridBagConstraints.REMAINDER;
	gbc27.gridheight =1;
	gbc27.anchor = GridBagConstraints.CENTER;
	gbc27.weightx = 1.0;
	gbc27.weighty = 1.0;
    	gbc27.insets = new Insets(1,5,5,5);

	gbl8.setConstraints(textBox,gbc27);
	pan.add(textBox);

	GridBagConstraints gbc29 = new GridBagConstraints();
	gbc29.fill = GridBagConstraints.BOTH;
	gbc29.gridwidth = GridBagConstraints.REMAINDER;
	gbc29.gridheight =1;
	gbc29.anchor = GridBagConstraints.CENTER;
	gbc29.weightx = 1.0;
	gbc29.weighty = 1.0;
    	gbc29.insets = new Insets(5,5,5,5);

	gbl8.setConstraints(panb,gbc29);
	pan.add(panb);

	modeDiag.add(pan);
	modeDiag.setModal(true);

   // Panel Global
 	this.add(paneMovieGlobal);
	this.dispose();


    MovieFind.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
        reset();
        enableFind(true);
}
});

    MovieAll.addActionListener(new java.awt.event.ActionListener() {
 public void actionPerformed(ActionEvent e) {
   reset();
   enableFind(false);
   MovieSearchFunction();
 }
 });
 MovieSearch.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
MovieSearchFunction();
}
});



    MovieCancel.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
 reset();
}
});

    MovieDetail.addActionListener(new java.awt.event.ActionListener() {
   public void actionPerformed(ActionEvent e) {
          if (beforDetail()) cdl.show(paneMovieGlobal, "Detail") ;
	  else errorMessage("You must select movie before booking");
   }
 });

    MovieBooking.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		if (beforDetail()) cdl.show(paneMovieGlobal, "Detail") ;
		else errorMessage("You must select movie before booking");
	    }
	});
    
    MovieTrailer.addActionListener(new java.awt.event.ActionListener() {
    	    public void actionPerformed(ActionEvent e) {
		if (beforDetail()) trailerFunction();
		else errorMessage("You must select movie before booking");
	    } 
    	});

    MovieCriticisms.addActionListener(new java.awt.event.ActionListener() {
    	    public void actionPerformed(ActionEvent e) {
		if (beforDetail()) criticismsFunction();
		else errorMessage("You must select movie");
	    } 
    	});

    MovieEmpty.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		reset();
	    }
	});

    



    DetailCancel.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
 cdl.show(paneMovieGlobal, "Movie");
}
});
    DetailReset.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
resetDetail();
}
});

     DetailSearch.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
    DetailSearchFunction();
}
});

    DetailBooking.addActionListener(new java.awt.event.ActionListener() {
  public void actionPerformed(ActionEvent e) {
      if (beforBooking()) cdl.show(paneMovieGlobal, "Booking");
      else errorMessage("You must select schedule before booking");	  
  }
  });

  DetailEmpty.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
resetDetail();
}
});



    BookingCancel.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
cdl.show(paneMovieGlobal, "Detail");
}
});

    BookingReset.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
resetBooking();
}
});

    BookingOk.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
    bookingFunction();
}
});

    WSAMIOk.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
    call(URIField.getText(),NDField.getText(),"");
}
});
    WSAMICancel.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
resetWSAMI();
}
});
    WSAMIClose.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
    //jTabbedPane1.setSelectedIndex(1);
}
});

 InfoDialogOk.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
    InfoDialogDispose();
}
});

  bok.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	       criticismsModeFunction(1);
	   }
       });

   bcancel.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	       criticismsModeFunction(-1);
	   }
       });

   criticTextButton.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	       criticTextFunction();
	   }
       });

    this.show();

}

 private void reset()
    {
	resetBooking();
	IDBookField.setText("");
	NameBookField.setText("");
	resetDetail();
	IDField.setText("");
	NameField.setText("");
	TitleField.setText("");
	ActorField.setText("");
	DirectorField.setText("");
	lst.removeAll();
	//paneMovie.validate();
	//paneDetail.validate();
	//paneBooking.validate();
	//paneTrailer.validate();
	//paneMovieGlobal.validate();
    }
    
    private boolean beforDetail()
    {
	lst2.setVisible(true);
	resetDetail();
	String movieSelected = lst.getSelectedItem();
	if (movieSelected !=null && !movieSelected.equals(""))
	    {
		String idstring = movieSelected.substring(0,4).trim();
		String namestring = movieSelected.substring(7,28);
		IDField.setText(idstring);
		NameField.setText(namestring);
		return true;
	    }
	return false;
    }

  private void resetDetail()
  {

      //java.util.Date today = new java.util.Date(System.currentTimeMillis());
      Calendar todayCal = Calendar.getInstance();
      Date todayDate = new Date(System.currentTimeMillis());
      //todayDate.setTime(System.currentTimeMillis());
      todayCal.setTime(todayDate);
      Calendar todayCal2 = Calendar.getInstance();
      todayDate = new Date(System.currentTimeMillis()+172800000);
      todayCal2.setTime(todayDate);
      
      //todayCal2.set(todayCal.get(Calendar.YEAR),todayCal.get(Calendar.MONTH),todayCal.get(Calendar.DAY_OF_MONTH)+2);
      
      //System.out.println(todayCal2.toString());
      //System.out.println(todayCal.toString());
      //System.out.println(todayCal2.getTimeInMillis()-todayCal.getTimeInMillis());
      
      FromYearField.select("0"+(todayCal.get(Calendar.YEAR)-100)); // Year on 2 positions 
      FromMonthField.select(todayCal.get(Calendar.MONTH));
      FromDayField.select(todayCal.get(Calendar.DAY_OF_MONTH)-1);
      
      FromHourField.select(0); 
      FromMinField.select(0);
      
      ToYearField.select("0"+(todayCal2.get(Calendar.YEAR)-100)); // Year on 2 positions 
      ToMonthField.select(todayCal2.get(Calendar.MONTH));
      ToDayField.select(todayCal2.get(Calendar.DAY_OF_MONTH)-1);
      
      ToHourField.select(14);
      ToMinField.select(0);
      lst2.removeAll();
      //paneMovie.validate();
      //paneDetail.validate();
      //paneBooking.validate();
      //paneTrailer.validate();
      //paneMovieGlobal.validate();
  }
    
    private boolean beforBooking()
    {
	resetBooking();
	String schedulSelected = lst2.getSelectedItem();
	if (schedulSelected !=null && !schedulSelected.equals(""))
	    {
		String idstring = schedulSelected.substring(0,4).trim();
		//String namestring = schedulSelected.substring(9);
		 IDBookField.setText(idstring);
		 NameBookField.setText(NameField.getText());
		return true;
	    }
	return false;
    }
    private void resetBooking()
    {
     FNameField.setText("");
     LNameField.setText("");
     NumSeatsField.setText("");
    }
    private void resetWSAMI()
    {
	URIField.setText("http://localhost:8080/wsami/MovieAbstract.wsami");
	NDField.setText("http://localhost:8080/services/ND");
    }
    private void enableFind(boolean bool)
    {
	MovieTitle.setEnabled(bool); TitleField.setEnabled(bool);
	MovieActor.setEnabled(bool); ActorField.setEnabled(bool);
	MovieDirector.setEnabled(bool); DirectorField.setEnabled(bool);
	MovieCancel.setEnabled(bool);
	MovieSearch.setEnabled(bool);
    }
    
    private void errorMessage(String message)
    {	
	//JOptionPane.showMessageDialog(this,message,"Error",JOptionPane.ERROR_MESSAGE);
	System.out.println(message);
    }
    private void informationMessage(String message)
    {
	//JOptionPane.showMessageDialog(this,message,"Connection",JOptionPane.INFORMATION_MESSAGE);
	InfoDialog = new Dialog(this,"Movie Information");
	
	InfoDialog.setSize(220,60);
	InfoDialog.setResizable(false);
	InfoDialog.setLocation(5,60);

	Label mess = new Label(message);
	GridBagLayout gbl = new GridBagLayout();
	//panb.setLayout(new GridLayout(1,3,30,30));
	InfoDialog.setLayout(gbl);

	GridBagConstraints gbc = new GridBagConstraints();
	gbc.fill = GridBagConstraints.BOTH;
	gbc.gridwidth = GridBagConstraints.REMAINDER;
	gbc.gridheight =1;
	gbc.anchor = GridBagConstraints.CENTER;
	gbc.weightx = 1.0;
	gbc.weighty = 1.0;
    	gbc.insets = new Insets(5,5,5,5);

	gbl.setConstraints(mess,gbc);
	InfoDialog.add(mess);

	GridBagConstraints gbc1 = new GridBagConstraints();
	gbc1.fill = GridBagConstraints.NONE;
	gbc1.gridwidth = GridBagConstraints.REMAINDER;
	gbc1.gridheight = GridBagConstraints.REMAINDER;;
	gbc1.anchor = GridBagConstraints.CENTER;
	gbc1.weightx = 1.0;
	gbc1.weighty = 1.0;
    	gbc1.insets = new Insets(5,5,5,5);
	gbl.setConstraints(InfoDialogOk,gbc1);
	InfoDialog.add(InfoDialogOk);
	 
	InfoDialog.setModal(true);
	InfoDialog.show();
	InfoDialog.hide();
	
    } 
    private void InfoDialogDispose()
    {
	InfoDialog.dispose();
    }
 //Supplante, ainsi nous pouvons sortir quand la fenetre est fermee
    protected void processWindowEvent(WindowEvent e) {
       super.processWindowEvent(e);
      if (e.getID() == WindowEvent.WINDOW_CLOSING) {
        System.exit(0);
      }
      }
   
 //////////**********************End FRAME


    private void MovieSearchFunction()
    {
    Dialog diag = new Dialog(this, "Movie Information", false);
    Panel pandiag = new Panel(new GridLayout(1,1));
    Label waitplease = new Label("   Please wait...");
    pandiag.add(waitplease);
    pandiag.add(waitplease);
    diag.add(pandiag);
    diag.setSize(170,50);
    diag.setResizable(false);
    diag.setLocation(25,60);
    diag.show();
	MovieFind.setEnabled(false);
	MovieAll.setEnabled(false);

	System.out.println("Movie searching..."); 
	MovieService.holders.ArrayOfIntHolder movieID = new MovieService.holders.ArrayOfIntHolder();
	System.out.println("MovieSearch Level 1..."); 
	MovieService.holders.ArrayOfStringHolder movieList = new MovieService.holders.ArrayOfStringHolder();
	// search Movie
	System.out.println("MovieSearch Level 2..."); 
	try
	    {
		System.out.println("MovieSearch Level 3..."); 
		service.getMovies(TitleField.getText(), ActorField.getText(), DirectorField.getText(), 1 , movieID, movieList);
		System.out.println("MovieSearch Level 4..."); 
	    }
	catch (Exception ex)
	    {
		//JOptionPane.showMessageDialog(this,"Remote Error in find Movie","Error",JOptionPane.ERROR_MESSAGE);
		System.out.println("Remote Error in find Movie");
		ex.printStackTrace();
	    }

	
        java.lang.String[] movielist = movieList.value;
	int[] movieid = movieID.value;
	lst.removeAll();
	if (movieid != null)
	    {
		for (int i=0;i<movieid.length;i++)
		    {
			if (movieid[i]<10)
			    lst.add("  0"+movieid[i]+"   "+movielist[i]);
			else lst.add("  "+movieid[i]+"   "+movielist[i]);
		    }

                lst.select(0);
	    }
	//paneMovie.validate();
	//paneDetail.validate();
	//paneBooking.validate();
	//paneTrailer.validate();
	//paneMovieGlobal.validate();
	diag.hide();
	MovieFind.setEnabled(true);
	MovieAll.setEnabled(true);
    }
    
    private void DetailSearchFunction()
    {
    Dialog diag = new Dialog(this, "Movie Information", false);
    Panel pandiag = new Panel(new GridLayout(1,1));
    Label waitplease = new Label("   Please wait...");
    pandiag.add(waitplease);
    pandiag.add(waitplease);
    diag.add(pandiag);
    diag.setSize(170,50);
    diag.setResizable(false);
    diag.setLocation(25,60);
    diag.show();
	System.out.println("schedule searching...");
        lst2.removeAll();
	int id = (new java.lang.Integer(IDField.getText())).intValue();
	
	java.util.Calendar fromDate = java.util.Calendar.getInstance();
	fromDate.set((new java.lang.Integer((String)FromYearField.getSelectedItem())).intValue()+2000,(new java.lang.Integer((String)FromMonthField.getSelectedItem())).intValue()-1,(new java.lang.Integer((String)FromDayField.getSelectedItem())).intValue());
		
	java.util.Calendar fromTime = java.util.Calendar.getInstance();
	fromTime.set(0,0,0,(new java.lang.Integer((String)FromHourField.getSelectedItem())).intValue(),(new java.lang.Integer((String)FromMinField.getSelectedItem())).intValue(),0);
		
	java.util.Calendar toDate = java.util.Calendar.getInstance();
	toDate.set((new java.lang.Integer((String)ToYearField.getSelectedItem())).intValue()+2000,(new java.lang.Integer((String)ToMonthField.getSelectedItem())).intValue()-1,(new java.lang.Integer((String)ToDayField.getSelectedItem())).intValue());
	
	java.util.Calendar toTime = java.util.Calendar.getInstance();
	toTime.set(0,0,0,(new java.lang.Integer((String)ToHourField.getSelectedItem())).intValue(),(new java.lang.Integer((String)ToMinField.getSelectedItem())).intValue(),0);
	
	MovieService.holders.ArrayOfIntHolder scheduleIDList = new MovieService.holders.ArrayOfIntHolder();
	MovieService.holders.ArrayOfStringHolder cityList = new MovieService.holders.ArrayOfStringHolder();
	MovieService.holders.ArrayOfStringHolder addressList = new MovieService.holders.ArrayOfStringHolder();
	MovieService.holders.ArrayOfIntHolder roomList = new MovieService.holders.ArrayOfIntHolder();
	MovieService.holders.ArrayOfDateTimeHolder dateList = new MovieService.holders.ArrayOfDateTimeHolder();
	MovieService.holders.ArrayOfDateTimeHolder timeList = new MovieService.holders.ArrayOfDateTimeHolder();
	
	
	try
	    {
		service.getMovieInfo(id, fromDate, fromTime, toDate, toTime, scheduleIDList, cityList, addressList, roomList, dateList, timeList);
		if (scheduleIDList.value !=null)
		    {
			lst2.removeAll();
			for (int i=0;i<scheduleIDList.value.length;i++)
			    {
				if (scheduleIDList.value[i] != 0)
				    {
				while ( cityList.value[i] !=null && cityList.value[i].length()<10) cityList.value[i]=cityList.value[i]+" ";
				while (addressList.value[i]!=null && addressList.value[i].length()<10) addressList.value[i]= addressList.value[i]+" ";
				if (scheduleIDList.value[i]<10) lst2.add("  0"+scheduleIDList.value[i]+"   "+cityList.value[i]+"   "+addressList.value[i]+"   "+dateList.value[i].get(Calendar.YEAR)+"/"+(dateList.value[i].get(Calendar.MONTH)+1)+"/"+dateList.value[i].get(Calendar.DAY_OF_MONTH)+" at "+timeList.value[i].get(Calendar.HOUR_OF_DAY)+":"+timeList.value[i].get(Calendar.MINUTE)+"0");
				else lst2.add("  "+scheduleIDList.value[i]+"   "+cityList.value[i]+"   "+addressList.value[i]+"   "+dateList.value[i].get(Calendar.YEAR)+"/"+(dateList.value[i].get(Calendar.MONTH)+1)+"/"+dateList.value[i].get(Calendar.DAY_OF_MONTH)+" at "+timeList.value[i].get(Calendar.HOUR_OF_DAY)+":"+timeList.value[i].get(Calendar.MINUTE)+"0");
				    }
				lst2.select(0);
			    }
		    }
	    }
	catch (Exception ex)
	    {
		//JOptionPane.showMessageDialog(this,"Remote Error in schedule information","Error",JOptionPane.ERROR_MESSAGE);
System.out.println("Remote Error in schedule information");
	    }
	diag.hide();
	//paneMovie.validate();
	 //paneDetail.validate();
	//paneBooking.validate();
	 //paneTrailer.validate();
	//paneMovieGlobal.validate();
  
}

private void bookingFunction()
{
    Dialog diag = new Dialog(this, "Movie Information", false);
    Panel pandiag = new Panel(new GridLayout(1,1));
    Label waitplease = new Label("   Please wait...");
    pandiag.add(waitplease);
    pandiag.add(waitplease);
    diag.add(pandiag);
    diag.setSize(170,50);
    diag.setResizable(false);
    diag.setLocation(25,60);
    diag.show();
    System.out.println("Booking...");
    try
	{
 	int result = service.bookTicket(FNameField.getText(),  LNameField.getText(),(new java.lang.Integer(IDBookField.getText())).intValue(), (new java.lang.Integer(NumSeatsField.getText())).intValue() );
	//System.out.println("Your ticket number is "+result);
	//JOptionPane.showMessageDialog(this,"Successfully booked : Your ticket number is :"+result,"Booking",JOptionPane.INFORMATION_MESSAGE);
	diag.hide();
	informationMessage("Your ticket number is :"+result);
	System.out.println("Successfully booked : Your ticket number is :"+result);
    }
catch (Exception ex)
    {
	//JOptionPane.showMessageDialog(this,"Remote Error in booking","Error",JOptionPane.ERROR_MESSAGE);
	System.out.println("Remote Error in booking");
    }	

    //paneMovie.validate();
    //paneDetail.validate();
    //paneBooking.validate();
    //paneTrailer.validate();
     //paneMovieGlobal.validate();
    }


private void trailerFunction()
{
    MovieDetail.setEnabled(false);
    MovieBooking.setEnabled(false);
    MovieTrailer.setEnabled(false);
    MovieEmpty.setEnabled(false);
    MovieFind.setEnabled(false);
    MovieAll.setEnabled(false);

    Dialog diag = new Dialog(this, "Movie Information", false);
    Panel pandiag = new Panel(new GridLayout(1,1));
    Label waitplease = new Label("   Please wait...");
    pandiag.add(waitplease);
    pandiag.add(waitplease);
    diag.add(pandiag);
    diag.setSize(170,50);
    diag.setResizable(false);
    diag.setLocation(25,60);
    diag.show();

    System.out.println("showing trailer...at "+System.currentTimeMillis());
	long t1 =  System.currentTimeMillis();
	try
	    {
		System.out.println("Trailer Client level 1");
		int id = (new java.lang.Integer(IDField.getText())).intValue();
	    System.out.println("Trailer Client level 2");
	    String trailerURL = service.getMovieTrailer(id);
	    if (trailerURL != null) System.out.println("Trailer Client level 7"+ trailerURL);
	    else System.out.println("Trailer is null");
	   	   
	    System.out.println("I start wait at "+System.currentTimeMillis());
	    long t7 = System.currentTimeMillis();
System.out.println("Trailer Client level 10");            
	    java.net.URL url = new java.net.URL(trailerURL);
System.out.println("Trailer Client level 11");            
	    java.net.HttpURLConnection urlConn =  (java.net.HttpURLConnection)url.openConnection();
System.out.println("Trailer Client level 12");            
	    java.io.BufferedInputStream bis = new java.io.BufferedInputStream(urlConn.getInputStream());
System.out.println("Trailer Client level 13");            
	    String trailerURI = trailerDir+"/mytrailer.mpg";
System.out.println("Trailer Client level 14");            
	    java.io.File videoFile = new java.io.File(trailerURI);
System.out.println("Trailer Client level 15");            
            java.io.FileOutputStream videoFileStream = new java.io.FileOutputStream(videoFile);
System.out.println("Trailer Client level 16");

	    byte[] buff = new byte[1000];
System.out.println("Trailer Client level 17");	    
	    int num = bis.read(buff,0,1000);
	    while (num >0) 
		{
		    videoFileStream.write(buff,0,num);
		    num = bis.read(buff,0,1000);
		}
System.out.println("Trailer Client level 18");            
	    videoFileStream.close();
	    bis.close();
System.out.println("Trailer Client level 19");            
	    long t8 = System.currentTimeMillis();
	    System.out.println("I down wait after "+(t8-t7));
	    String tmpStr = "Successfully";
	    diag.hide();
	    informationMessage("trailer saved into "+trailerDir);
	    System.out.println("The video trailer file : "+trailerDir+"/mytrailer.mpg");
	    /*
	    System.out.println("I'am trying to execute /opt/QtPalmtop/bin/opieplayer2 "+trailerURI );

	    
	    Process p= java.lang.Runtime.getRuntime().exec("/opt/QtPalmtop/bin/opieplayer2 "+trailerURI);
	    InputStreamReader flux_entree = new InputStreamReader(p.getInputStream());
	    BufferedReader entree = new BufferedReader(flux_entree);
	    String ligne="";
	    while ((ligne = entree.readLine()) != null) {
		System.out.println(ligne);
	    }

	    System.out.println("I finished to execute /opt/QtPalmtop/bin/opieplayer2 "+trailerURI );
	    */
	}
    catch (Exception ex)
	{
	    // JOptionPane.showMessageDialog(this,"Remote Error in show trailer","Error",JOptionPane.ERROR_MESSAGE);
	    System.out.println("Remote Error in show trailer");
	    ex.printStackTrace();
	}	
    
    MovieDetail.setEnabled(true);
    MovieBooking.setEnabled(true);
    MovieTrailer.setEnabled(true);
    MovieEmpty.setEnabled(true);
    MovieFind.setEnabled(true);
    MovieAll.setEnabled(true);
   
}

private void criticismsModeFunction(int buttonPressed)
{
    if (buttonPressed == -1) criticismsMode = -1; // button cancel is pressed
    else
	{
	    Checkbox currentBox = boxGroup.getSelectedCheckbox();
	    if (currentBox.getLabel().equals("Text mode")) criticismsMode = 1; // Text
	}
    modeDiag.hide();
}
private void criticTextFunction()
{
    criticTextDiag.hide();
}

private void criticismsFunction()
{
    criticismsMode=0;
    // choice between audio criticisms and text criticisms

	modeDiag.show();

    // end choice between audio criticisms and text criticisms

	if ( criticismsMode ==0) // audio Mode
	    {
		System.out.println("Audio Mode Selected");
		Dialog diag = new Dialog(this, "Movie Information", false);
		Panel pandiag = new Panel(new GridLayout(1,1));
		Label waitplease = new Label("   Please wait...");
		pandiag.add(waitplease);
		pandiag.add(waitplease);
		diag.add(pandiag);
                //diag.setLocationRelativeTo(this); 
		diag.setSize(100,40);
		diag.setResizable(false);
		diag.setLocation(75,130);
		diag.show();
		System.out.println("audio criticisms start..at "+System.currentTimeMillis());
		long t1 =  System.currentTimeMillis();
		try
		    {
			int id = (new java.lang.Integer(IDField.getText())).intValue();
			String audioURL = service.getAudioCriticisms(id);
			if (audioURL != null) System.out.println("Trailer Client level 7"+ audioURL);
			else System.out.println("audio is null");
			
			long t7 = System.currentTimeMillis();
			java.net.URL url = new java.net.URL(audioURL);
			java.net.HttpURLConnection urlConn =  (java.net.HttpURLConnection)url.openConnection();
			java.io.BufferedInputStream bis = new java.io.BufferedInputStream(urlConn.getInputStream());
			java.io.File audioFile = new java.io.File("/opt/audio/critic.wav");
			java.io.FileOutputStream audioFileStream = new java.io.FileOutputStream(audioFile);
			byte[] buff = new byte[1000];
			
			int num = bis.read(buff,0,1000);
			while (num >0) 
			    {
				audioFileStream.write(buff,0,num);
				num = bis.read(buff,0,1000);
			    }
			audioFileStream.close();
			bis.close();
			long t8 = System.currentTimeMillis();
			System.out.println("I down wait after "+(t8-t7));
			informationMessage("Criticisms saved into /opt/audio/critic.wav");
			//java.lang.Runtime.getRuntime().exec("/usr/bin/noatun /opt/audio/criticisms.wav");
		    }
		catch (Exception ex)
		    {
			//JOptionPane.showMessageDialog(this,"Remote Error in show trailer","Error",JOptionPane.ERROR_MESSAGE);
			System.out.println("Remote Error in audio Criticisms");
			ex.printStackTrace();
		    }	
		long t2 =  System.currentTimeMillis();
		System.out.println("Movie searching down "+t2);
		System.out.println("Time is "+(t2-t1));
		diag.hide();
	    }
	else // Text mode
	    { 
		if (criticismsMode != -1)
		    {
			System.out.println("Text Mode Selected");
			int id = (new java.lang.Integer(IDField.getText())).intValue();
			try
			    {
				String textCriticisms = service.getTextCriticisms(id);
				System.out.println("Criticisms: "+textCriticisms);
				TextArea criticText = new TextArea(textCriticisms,8,40);
				criticText.setEditable(false);
				criticTextDiag = new Dialog(this, "Criticisms text");
				criticTextDiag.setSize(232,247);
				criticTextDiag.setLocation(4,18);
				GridBagLayout critic = new GridBagLayout();
				criticTextDiag.setLayout(critic);
				
				GridBagConstraints gbc = new GridBagConstraints();
				gbc.fill = GridBagConstraints.BOTH;
				gbc.gridwidth = GridBagConstraints.REMAINDER;
				gbc.gridheight =10;
				gbc.weightx = 5.0;
				gbc.weighty = 10.0;
				gbc.insets = new Insets(3,5,5,5);
				
				critic.setConstraints(criticText,gbc);
				criticTextDiag.add(criticText);

				gbc = new GridBagConstraints();
				gbc.fill = GridBagConstraints.NONE;
				gbc.gridwidth = 1;
				gbc.gridheight = 1;
				gbc.anchor = GridBagConstraints.SOUTH;
				gbc.weightx = 1.0;
				gbc.weighty = 1.0;
				gbc.insets = new Insets(3,5,5,5);
				
				critic.setConstraints(criticTextButton,gbc);
				criticTextDiag.add(criticTextButton);


				criticTextDiag.show();
			    }
			catch (Exception ex)
			    {
				System.out.println("Error in getTextCriticisms ");
				ex.printStackTrace();
			    }
		    }
	    }
}



public void call(String wsami, String ndAddr, String customization) {
    try {
        if (customization.equals("no"))
            withCustomization = false;
        
                        
System.out.println("Client Level 1");
	    //CoreBroker.BrokerFactory.setFactory("CoreBroker.CSoap.CSoapBrokerWrapper");
               /*
                broker=CoreBroker.BrokerFactory.getClientInstance();
                NDService.NDPortType nd=broker.getNDStub(ndAddr);
			*/
			NDService.NDPortType nd= new NDService.NDBindingStub(new URL(ndAddr),null);
System.out.println("Client Level 2");

/*
			javax.xml.rpc.holders.StringHolder serviceEndPoint=new javax.xml.rpc.holders.StringHolder();
System.out.println("Client Level 3");
			javax.xml.rpc.holders.StringHolder localCustEndPoint=new javax.xml.rpc.holders.StringHolder();
			javax.xml.rpc.holders.StringHolder remoteCustEndPoint=new javax.xml.rpc.holders.StringHolder();
				
	    System.out.println("Client Level 4");	    
	     nd.getService(wsami,serviceEndPoint,localCustEndPoint,remoteCustEndPoint);
 */

            NDService.GetServiceData[] services = nd.getService(wsami);
            String serviceEndPoint = services[0].getServiceEP();
            String localCustEndPoint = services[0].getCustLocalEP();
            String remoteCustEndPoint = services[0].getCustRemoteEP();

            System.out.println("Client Level 5 ");
            System.out.println("serviceEndPoint " +serviceEndPoint);
            System.out.println("localCustEndPoint " +localCustEndPoint);
            System.out.println("remoteCustEndPoint " +remoteCustEndPoint);

			URL url=null;
			System.out.println("Client Level 6");
			if (withCustomization) 
			    {
System.out.println("Client Level 7");
				CoreBroker.BrokerFactory.setFactory("CoreBroker.CSoap.CSoapBrokerWrapper");
				//CoreBroker.BrokerFactory.setFactory("CoreBroker.Axis.AxisBrokerWrapper");
				System.out.println("Client Level 8");
				CoreBroker.BrokerWrapper b = CoreBroker.BrokerFactory.getClientInstance();
				System.out.println("Client Level 9");
				String addr = serviceEndPoint;
				
				if (b != null) addr = b.setCustomizerChain(localCustEndPoint, remoteCustEndPoint, serviceEndPoint);
				else System.out.println("Instance of Brocker is null");
				System.out.println("returned addr="+addr);
				//String num = addr.substring(addr.indexOf("?")+1);
				//addr = "http://128.93.135.29:8080/services/CustLocal?"+num;
				//addr = "http://localhost:8080/services/CustLocal?"+num;
				url=new URL(addr); 
				System.out.println("CustEndPoint value = "+localCustEndPoint);
				System.out.println("CustEndPoint value = "+addr);

			    }
		
			else 
                            url=new URL(serviceEndPoint);
                        
	System.out.println("Client Level 10");
			System.out.println("ServiceEndPoint value"+serviceEndPoint.toString());
			service=new MovieService.MovieSOAPBindingStub(url,null);
			
			if (cpt) 
			    {//JOptionPane.showMessageDialog(this,"Successfully connected to the service","Connection",JOptionPane.INFORMATION_MESSAGE);
				System.out.println("Successfully connected to the service");
			    }
				cpt = true;
			MovieFind.setEnabled(true);
			MovieAll.setEnabled(true);
            
			  
			
		}
		catch (Exception e) {
		    MovieFind.setEnabled(false);
		    MovieAll.setEnabled(false);
		    //JOptionPane.showMessageDialog(this,"Can't connect to Service","Error",JOptionPane.ERROR_MESSAGE);
		    System.out.println("Can't connect to Service");
		    e.printStackTrace();
		}
	}
	
	public static void main (String arg[]) {
		
		MovieClientPDA client = new MovieClientPDA();
		String wsami="http://localhost:8080/wsami/MovieAbstract.wsami";
		String ndAddr="http://localhost:8080/services/ND";
		String param="yes";
		
		if (arg.length>=1)
			 param=arg[0];
		client.call(wsami,ndAddr,param);	
	}

}//end class
	
	
			
			
			
			
			
			
			
			
