package OzoneMessengerService;

import java.awt.TextArea;

public class MessageArea extends java.awt.TextArea
{
    String special ="'\\";
    char[] chars = new char[]{'q','w','e','r','t','y','u','i','o','p','a','s','d','f','g','h','j','k','l','z','x','c','v','b','n','m',' ',':','`','1','2','3','4','5','6','7','8','9','0','-','=','[',']',';',special.toCharArray()[0],'.',',','/',special.toCharArray()[1],'~','!','@','#','$','%','^','&','*','(',')','_','+','{','}','|','"','<','>','?'};
    double[] part = new double[]{4,5.56,4,2.71,2.71,4.17,4,1.36,4,4,4,3.34,4,2.71,4,4,1.36,3.34,1.36,3.34,4,3.34,4,4,4,6.67,2.09,1.36,3.34,4,4,4,4,4,4,4,4,4,4,2.71,5.56,2.71,2.71,2,2,2,2,2.09,2.09,5.56,2.09,7.7,5.56,4,6.67,5.56,6.25,3.34,2.71,2.71,3.34,5.56,4,4,2,3.34,5.56,5.56,3.34};

    public MessageArea(int rows, int columns)
    {
	super(rows,columns);
	setEditable(false);
    }

    public MessageArea(String text,int rows, int columns)
    {
	super(text,rows,columns);
	setEditable(false);
    }
    public MessageArea(String text,int rows, int columns, int scrollbars )
    {
	super(text,rows,columns ,scrollbars);
	setEditable(false);
    }
    public void addMessage(String nickname, String message)
    {
	String marge = getMargeFor(nickname+": ")+" ";
	double doubleMarge = getLength(marge);
	char[] chaineArray = message.toCharArray();
	String mess =nickname+": ";
	double length = getLength(nickname+": ");
	int i=0;
	while(i<chaineArray.length)
	    {
		int pos = postionOf(chaineArray[i]);
		if (pos !=-1) length = length+part[pos];
		else length = length+6;
		while (length <96 && i<chaineArray.length)
		    {
			mess = mess+chaineArray[i];
			i++;
			if (i<chaineArray.length) 
			    {
				pos = postionOf(chaineArray[i]);
				if (pos !=-1) length = length+part[pos];
				else length = length+6;
			    }
		    }
		super.append(mess+'\n');
		//jump line
		mess = marge;
		length = doubleMarge;
	    } 
    }

    private int postionOf(char c)
    {
	int i=0;
	while (i<chars.length && chars[i] != c) 
	    {
		i++;
	    }
	if (i<chars.length) return i;
	return -1;
    }

    private double getLength(String chaine)
    {
	double length2 = 0;
	char[] chaineArray = chaine.toCharArray();
	for (int i=0; i<chaineArray.length; i++)
	    {
		int pos = postionOf(chaineArray[i]);
		if (pos!=-1)
		    length2 = length2+part[pos];
		else length2 = length2+6.0;
	    }
	return length2;
    }

    private String getMargeFor(String chaine)
    {
	String forReturn ="";
	double length = getLength(chaine);
	double number = length/2.09;
	while (number>=1)
	    {
		forReturn = forReturn+" ";
		number=number-1;
	    }
	return forReturn;
    }
} 
