package URClient;

import java.net.URL;
import java.awt.*;
import java.awt.event.*;
import java.util.Vector;
import java.util.Iterator;
import java.io.*;
import URService.*;
import NDService.Favorite;
import NDService.Favorites;


public class URClientPDA extends Frame {

    static String favoritesDir = "/opt/wsami/dist/pda"; // set default value
    //String favoriteFilePath="/opt/wsami/files/ur/favorite.xml";
    //String urAddressFilePath="/opt/wsami/files/ur/UR.conf";
    static String favoriteFilePath; //= favoritesDir+"/favorite.xml";
    static String urAddressFilePath; //= favoritesDir+"/UR.conf";


    Panel contentPane;
    
    Dialog dialogSearch = new Dialog(this, "Search services");
    Dialog dialogURList = new Dialog(this, "UR list");
    Dialog dialogFavoritesList = new Dialog(this, "Favorite services list");
    Dialog addAnUDD = new Dialog(this, "Add UR address");

    Panel paneSearch = new Panel();
    Panel paneURList = new Panel();
    Panel paneFavoritesList = new Panel();
   
    TextField fieldWAU = new TextField("http://localhost:8080/wsami/MovieAbstract.wsami",22);
    Label labelWAU = new Label(" WAU:");
    Label labelListBar1 = new Label("WAU                        EndPoint");
    List list1 = new List(15,true);

    Button buttonSearch        = new Button("Search");
    Button buttonEmpty         = new Button("Empty");
    Button buttonToFavorites   = new Button("To favorites");
    Button buttonShowFavorites = new Button("Show favorites");
    Button buttonClose         = new Button("Close");

    // UR List panel

    Label labelListBar2 = new Label("UR List");
    List list2 = new List(15,true);
    Button buttonAdd    = new Button(" Add  ");
    Button buttonRemove = new Button("Remove");
    Button buttonModify = new Button("Modify");
    Button buttonClose2 = new Button(" Close");

    // favorites list

    Label labelFavoritesList = new Label(" Favorites List ");
    Label labelListBar3 = new Label("WAU                        EndPoint        Validate");
    List list3 = new List(15,true);
    Button buttonRemove3  = new Button(" Remove ");
    Button buttonValidate = new Button("Validate");
    Button buttonClose3   = new Button(" Close  ");

    // new UR
    Dialog addAnUR                = new Dialog(this, "Add a new UR address");
    Label labelURAddress     = new Label("UR Address");
    TextField fieldURAddress = new TextField("");
    Button buttonOk                    = new Button("  Ok  ");
    Button buttonCancel                = new Button("Cancel");
    
    private CoreBroker.BrokerWrapper broker;
    private Vector URs = new Vector();
    private Vector tempoURServiceData = new Vector();
    private Favorites favorites = null;
    
   //**************************

  public URClientPDA() {
      enableEvents(AWTEvent.WINDOW_EVENT_MASK);
      try {
	
	  // set favorite file path and urs file path
	  /*
	  ClassLoader cl = Thread.currentThread().getContextClassLoader();
	  java.net.URL resource = cl.getResource("favorite.xml");
	  if (resource == null)
	      {
		  // create the favorite.xml file
		  resource = cl.getResource(".");
		  if (resource != null)
		      {
			  System.out.println("resource.getPath()="+resource.getPath()); 
			  try
			      {
				  java.io.File favoriteXMLFile = new java.io.File(resource.getPath()+"/favorite.xml");
				  favoriteXMLFile.createNewFile(); 
				  java.io.FileWriter favoriteFile = new java.io.FileWriter(favoriteXMLFile);
				  favoriteFile.write("<favorites>");
				  favoriteFile.write("</favorites>");
				  favoriteFile.close();
				  favoriteFilePath=favoriteXMLFile.getPath();
			      }
			  catch(Exception ex)
			      {
				  System.out.println("Error in create favorite.xml file");
			      } 
		      }
		  else System.exit(0);
	      }
	  else favoriteFilePath =resource.getPath(); 
	  
	  // ur configuration File
	  
	  resource = cl.getResource("UR.conf");
	  if (resource == null)
	    {
		// create the UR.conf file
		resource = cl.getResource(".");
		if (resource != null)
		    {
			System.out.println("resource.getPath()="+resource.getPath()); 
			try
			    {
				java.io.File urConfFile = new java.io.File(resource.getPath()+"/UR.conf");
				urConfFile.createNewFile(); 
				urAddressFilePath=urConfFile.getPath();
			    }
			catch(Exception ex)
			    {
				System.out.println("Error in create UR.conf file");
			    } 
		    }
		else System.exit(0);
	    }
	else urAddressFilePath =resource.getPath(); 
    */
	java.io.File favoriteXMLFile = new java.io.File(favoriteFilePath);
	java.io.File urConfFile = new java.io.File(urAddressFilePath);
	if (!favoriteXMLFile.exists()) 
	    {
		favoriteXMLFile.createNewFile(); 
		java.io.FileWriter favoriteFile = new java.io.FileWriter(favoriteXMLFile);
		favoriteFile.write("<favorites>");
		favoriteFile.write("</favorites>");
		favoriteFile.close();
	    }

	if (!urConfFile.exists())  urConfFile.createNewFile();

	favorites = new Favorites(favoriteFilePath);
	setURs();
	jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  //Initialiser le composant
  private void jbInit() throws Exception
    {	

	this.setSize(new Dimension(232,255));
	this.setLocation(3,18);
	this.setResizable(false);
	this.setTitle("UR Client Application");

        dialogSearch.setSize(new Dimension(232,255)) ;
	dialogSearch.setLocation(3,18);
	dialogSearch.setResizable(false);
	dialogURList.setSize(new Dimension(232,255));
	dialogURList.setLocation(3,18);
	dialogURList.setResizable(false);
	dialogFavoritesList.setSize(new Dimension(232,255));
	dialogFavoritesList.setLocation(3,18);
	dialogFavoritesList.setResizable(false);
	
	// Panel Search
	
	GridBagLayout gbl1 = new GridBagLayout();
	Panel pane1 = new Panel(gbl1);
	
	GridBagConstraints gbc1 = new GridBagConstraints();
	gbc1.fill = GridBagConstraints.NONE;
	gbc1.gridwidth = 1;
	gbc1.gridheight = 1;
	gbc1.anchor = GridBagConstraints.NORTH;
	gbc1.insets = new Insets(5,3,2,1);
	gbc1.weightx = 1.0;
	gbc1.weighty = 1.0;
	
	gbl1.setConstraints(labelWAU,gbc1);
	pane1.add(labelWAU);
	
	GridBagConstraints gbc2 = new GridBagConstraints();
	gbc2.fill = GridBagConstraints.NONE;
	gbc2.gridwidth = 4;
	gbc2.gridheight = 1;
	gbc2.anchor = GridBagConstraints.NORTH;
	gbc2.insets = new Insets(5,0,2,2);
	gbc2.weightx = 1.0;
	gbc2.weighty = 1.0;
	
	gbl1.setConstraints(fieldWAU,gbc2);
	pane1.add(fieldWAU);
	
	GridBagConstraints gbc3 = new GridBagConstraints();
	gbc3.fill = GridBagConstraints.NONE;
	gbc3.gridwidth = GridBagConstraints.REMAINDER;
	gbc3.gridheight = 1;
	gbc3.anchor = GridBagConstraints.NORTH;
	gbc3.insets = new Insets(5,2,2,3);
	gbc3.weightx = 1.0;
	gbc3.weighty = 1.0;

	buttonSearch.setBackground(Color.blue);
	gbl1.setConstraints(buttonSearch,gbc3);
	pane1.add(buttonSearch);
	
	Panel pane2 = new Panel();
	GridBagLayout gbla5 = new GridBagLayout();
	pane2.setLayout(gbla5);
	
	GridBagConstraints gbca13 = new GridBagConstraints();
	gbca13.fill = GridBagConstraints.BOTH;
	gbca13.gridwidth = 1;
	gbca13.gridheight = GridBagConstraints.REMAINDER;
	gbca13.anchor = GridBagConstraints.NORTH;
	gbca13.insets = new Insets(5,2,2,1);
	gbca13.weightx = 1.0;
	gbca13.weighty = 1.0;

	buttonToFavorites.setBackground(Color.green);
        gbla5.setConstraints(buttonToFavorites,gbca13);
	pane2.add(buttonToFavorites);

	GridBagConstraints gbca14 = new GridBagConstraints();
	gbca14.fill = GridBagConstraints.NONE;
	gbca14.gridwidth = 1;
	gbca14.gridheight = GridBagConstraints.REMAINDER;
	gbca14.anchor = GridBagConstraints.NORTH;
	gbca14.insets = new Insets(5,1,2,1);
	gbca14.weightx = 1.0;
	gbca14.weighty = 1.0;

	buttonEmpty.setBackground(Color.green);
        gbla5.setConstraints(buttonEmpty,gbca14);
	pane2.add(buttonEmpty);

	GridBagConstraints gbca15 = new GridBagConstraints();
	gbca15.fill = GridBagConstraints.NONE;
	gbca15.gridwidth = 1;
	gbca15.gridheight = GridBagConstraints.REMAINDER;
	gbca15.anchor = GridBagConstraints.NORTH;
	gbca15.insets = new Insets(5,1,2,1);
	gbca15.weightx = 1.0;
	gbca15.weighty = 1.0;

	buttonShowFavorites.setBackground(Color.green);
        gbla5.setConstraints(buttonShowFavorites,gbca15);
	pane2.add(buttonShowFavorites);

	GridBagConstraints gbca16 = new GridBagConstraints();
	gbca16.fill = GridBagConstraints.NONE;
	gbca16.gridwidth = 1;
	gbca16.gridheight = GridBagConstraints.REMAINDER;
	gbca16.anchor = GridBagConstraints.NORTH;
	gbca16.insets = new Insets(5,1,2,2);
	gbca16.weightx = 1.0;
	gbca16.weighty = 1.0;

	buttonClose.setBackground(Color.green);
        gbla5.setConstraints(buttonClose,gbca16);
	pane2.add(buttonClose);
	
	GridBagLayout gbl2 = new GridBagLayout();
	paneSearch.setLayout(gbl2);
	
	GridBagConstraints gbc4 = new GridBagConstraints();
	gbc4.fill = GridBagConstraints.BOTH;
	gbc4.gridwidth = GridBagConstraints.REMAINDER;
	gbc4.gridheight = 1;
	gbc4.anchor = GridBagConstraints.NORTH;
	gbc4.insets = new Insets(2,2,2,2);
	gbc4.weightx = 1.0;
	gbc4.weighty = 1.0;
	
	gbl2.setConstraints(pane1,gbc4);
	paneSearch.add(pane1);
	
	GridBagConstraints gbc41 = new GridBagConstraints();
	gbc41.fill = GridBagConstraints.BOTH;
	gbc41.gridwidth = GridBagConstraints.REMAINDER;
	gbc41.gridheight = 1;
	gbc41.anchor = GridBagConstraints.NORTH;
	gbc41.insets = new Insets(2,2,2,2);
	gbc41.weightx = 1.0;
	gbc41.weighty = 1.0;
	
	gbl2.setConstraints(labelListBar1,gbc41);
	paneSearch.add(labelListBar1);
	
	GridBagConstraints gbc5 = new GridBagConstraints();
	gbc5.fill = GridBagConstraints.BOTH;
	gbc5.gridwidth = GridBagConstraints.REMAINDER;
	gbc5.gridheight = 5;
	gbc5.anchor = GridBagConstraints.NORTH;
	gbc5.insets = new Insets(2,2,2,2);
	gbc5.weightx = 1.0;
	gbc5.weighty = 1.0;
	
	gbl2.setConstraints(list1,gbc5);
	paneSearch.add(list1);
	
	GridBagConstraints gbc6 = new GridBagConstraints();
	gbc6.fill = GridBagConstraints.BOTH;
	gbc6.gridwidth = GridBagConstraints.REMAINDER;
	gbc6.gridheight = 1;
	gbc6.anchor = GridBagConstraints.CENTER;
	gbc6.insets = new Insets(2,2,2,2);
	gbc6.weightx = 1.0;
	gbc6.weighty = 1.0;
	
	gbl2.setConstraints(pane2,gbc6);
	paneSearch.add(pane2);
	
	dialogSearch.add(paneSearch);
	
	// UR List
	
	Panel pane3 = new Panel();
	GridBagLayout gbla1= new GridBagLayout();
	pane3.setLayout(gbla1);

	GridBagConstraints gbca1 = new GridBagConstraints();
	gbca1.fill = GridBagConstraints.BOTH;
	gbca1.gridwidth = 1;
	gbca1.gridheight = GridBagConstraints.REMAINDER ;
	gbca1.insets = new Insets(5,5,5,2);
	gbca1.anchor = GridBagConstraints.CENTER;
	gbca1.weightx = 1.0;
	gbca1.weighty = 1.0;
	
	buttonAdd.setBackground(Color.green);
	gbla1.setConstraints(buttonAdd,gbca1);
	pane3.add(buttonAdd);

	GridBagConstraints gbca2 = new GridBagConstraints();
	gbca2.fill = GridBagConstraints.BOTH;
	gbca2.gridwidth = 1;
	gbca2.gridheight = GridBagConstraints.REMAINDER ;
	gbca2.insets = new Insets(5,2,5,2);
	gbca2.anchor = GridBagConstraints.CENTER;
	gbca2.weightx = 1.0;
	gbca2.weighty = 1.0;
	
	buttonRemove.setBackground(Color.green);
	gbla1.setConstraints(buttonRemove,gbca2);
	pane3.add(buttonRemove);

	GridBagConstraints gbca3 = new GridBagConstraints();
	gbca3.fill = GridBagConstraints.BOTH;
	gbca3.gridwidth = 1;
	gbca3.gridheight = GridBagConstraints.REMAINDER ;
	gbca3.insets = new Insets(5,2,5,2);
	gbca3.anchor = GridBagConstraints.CENTER;
	gbca3.weightx = 1.0;
	gbca3.weighty = 1.0;
	
	buttonModify.setBackground(Color.green);
	gbla1.setConstraints(buttonModify,gbca3);
	pane3.add(buttonModify);

	GridBagConstraints gbca4 = new GridBagConstraints();
	gbca4.fill = GridBagConstraints.BOTH;
	gbca4.gridwidth = 1;
	gbca4.gridheight = GridBagConstraints.REMAINDER ;
	gbca4.insets = new Insets(5,2,5,2);
	gbca4.anchor = GridBagConstraints.CENTER;
	gbca4.weightx = 1.0;
	gbca4.weighty = 1.0;
	
	buttonClose2.setBackground(Color.green);
	gbla1.setConstraints(buttonClose2,gbca4);
	pane3.add(buttonClose2);
	
	GridBagLayout gbl3 = new GridBagLayout();
	paneURList.setLayout(gbl3);
	
	GridBagConstraints gbc7 = new GridBagConstraints();
	gbc7.fill = GridBagConstraints.BOTH;
	gbc7.gridwidth = GridBagConstraints.REMAINDER;
	gbc7.gridheight = 1;
	gbc7.anchor = GridBagConstraints.NORTH;
	gbc7.insets = new Insets(5,5,2,5);
	gbc7.weightx = 1.0;
	gbc7.weighty = 1.0;
	
	gbl3.setConstraints(labelListBar2,gbc7);
	paneURList.add(labelListBar2);
	
	GridBagConstraints gbc8 = new GridBagConstraints();
	gbc8.fill = GridBagConstraints.BOTH;
	gbc8.gridwidth = GridBagConstraints.REMAINDER;
	gbc8.gridheight = 15;
	gbc8.anchor = GridBagConstraints.NORTH;
	gbc8.insets = new Insets(2,5,5,5);
	gbc8.weightx = 1.0;
	gbc8.weighty = 1.0;
	
	gbl3.setConstraints(list2,gbc8);
	paneURList.add(list2);
	
	GridBagConstraints gbc9 = new GridBagConstraints();
	gbc9.fill = GridBagConstraints.BOTH;
	gbc9.gridwidth = GridBagConstraints.REMAINDER;
	gbc9.gridheight = 1;
	gbc9.anchor = GridBagConstraints.SOUTH;
	gbc9.insets = new Insets(5,5,5,5);
	gbc9.weightx = 1.0;
	gbc9.weighty = 1.0;
	
	gbl3.setConstraints(pane3,gbc9);
	paneURList.add(pane3);
	
	dialogURList.add(paneURList);
	
	// Favorites List
	
	Panel pane4 = new Panel();

	GridBagLayout gbla2 = new GridBagLayout();
	pane4.setLayout(gbla2);
	
	GridBagConstraints gbca5 = new GridBagConstraints();
	gbca5.fill = GridBagConstraints.BOTH;
	gbca5.gridwidth = 1;
	gbca5.gridheight = GridBagConstraints.REMAINDER;
	gbca5.anchor = GridBagConstraints.CENTER;
	gbca5.insets = new Insets(5,5,5,2);
	gbca5.weightx = 1.0;
	gbca5.weighty = 1.0;

	buttonRemove3.setBackground(Color.green);
	gbla2.setConstraints(buttonRemove3,gbca5);
	pane4.add(buttonRemove3);

	GridBagConstraints gbca6 = new GridBagConstraints();
	gbca6.fill = GridBagConstraints.BOTH;
	gbca6.gridwidth = 1;
	gbca6.gridheight = GridBagConstraints.REMAINDER;
	gbca6.anchor = GridBagConstraints.CENTER;
	gbca6.insets = new Insets(5,2,5,2);
	gbca6.weightx = 1.0;
	gbca6.weighty = 1.0;

	buttonValidate.setBackground(Color.green);
	gbla2.setConstraints(buttonValidate,gbca6);
	pane4.add(buttonValidate);

	GridBagConstraints gbca7 = new GridBagConstraints();
	gbca7.fill = GridBagConstraints.BOTH;
	gbca7.gridwidth = 1;
	gbca7.gridheight = GridBagConstraints.REMAINDER;
	gbca7.anchor = GridBagConstraints.CENTER;
	gbca7.insets = new Insets(5,2,5,5);
	gbca7.weightx = 1.0;
	gbca7.weighty = 1.0;

	buttonClose3.setBackground(Color.green);
	gbla2.setConstraints(buttonClose3,gbca7);
	pane4.add(buttonClose3);
	
	GridBagLayout gbl4 = new GridBagLayout();
	paneFavoritesList.setLayout(gbl4);
	
	GridBagConstraints gbc10 = new GridBagConstraints();
	gbc10.fill = GridBagConstraints.BOTH;
	gbc10.gridwidth = GridBagConstraints.REMAINDER;
	gbc10.gridheight = 1;
	gbc10.anchor = GridBagConstraints.NORTH;
	gbc10.insets = new Insets(8,5,2,5);
	gbc10.weightx = 1.0;
	gbc10.weighty = 1.0;

	gbl4.setConstraints(labelListBar3,gbc10);
	paneFavoritesList.add(labelListBar3);
	
	GridBagConstraints gbc11 = new GridBagConstraints();
	gbc11.fill = GridBagConstraints.BOTH;
	gbc11.gridwidth = GridBagConstraints.REMAINDER;
	gbc11.gridheight = 15;
	gbc11.anchor = GridBagConstraints.NORTH;
	gbc11.insets = new Insets(2,5,2,5);
	gbc11.weightx = 1.0;
	gbc11.weighty = 1.0;
	
	gbl4.setConstraints(list3,gbc11);
	paneFavoritesList.add(list3);
	
	GridBagConstraints gbc12 = new GridBagConstraints();
	gbc12.fill = GridBagConstraints.BOTH;
	gbc12.gridwidth = GridBagConstraints.REMAINDER;
	gbc12.gridheight = 1;
	gbc12.anchor = GridBagConstraints.CENTER;
	gbc12.insets = new Insets(2,5,5,5);
	gbc12.weightx = 1.0;
	gbc12.weighty = 1.0;
	
	gbl4.setConstraints(pane4,gbc12);
	paneFavoritesList.add(pane4);
	
	dialogFavoritesList.add(paneFavoritesList);	

	// add new UR

	addAnUDD.setSize(new Dimension(232,100));
	addAnUDD.setLocation(3,18);
		
	Panel panNewURButton = new Panel();
	GridBagLayout gbla3 = new GridBagLayout();
	panNewURButton.setLayout(gbla3);

       	GridBagConstraints gbca8 = new GridBagConstraints();
	gbca8.fill = GridBagConstraints.BOTH;
	gbca8.gridwidth = 1;
	gbca8.gridheight = GridBagConstraints.REMAINDER;
	gbca8.anchor = GridBagConstraints.CENTER;
	gbca8.insets = new Insets(5,5,5,2);
	gbca8.weightx = 1.0;
	gbca8.weighty = 1.0;

	buttonOk.setBackground(Color.green);
	gbla3.setConstraints(buttonOk,gbca8);
	panNewURButton.add(buttonOk);

       	GridBagConstraints gbca9 = new GridBagConstraints();
	gbca9.fill = GridBagConstraints.BOTH;
	gbca9.gridwidth = 1;
	gbca9.gridheight = 1;
	gbca9.anchor = GridBagConstraints.CENTER;
	gbca9.insets = new Insets(5,2,5,5);
	gbca9.weightx = 1.0;
	gbca9.weighty = 1.0;

	buttonCancel.setBackground(Color.green);
	gbla3.setConstraints(buttonCancel,gbca9);
	panNewURButton.add(buttonCancel);

	Panel panNewUR = new Panel();
	GridBagLayout gbla4 = new GridBagLayout();
	panNewUR.setLayout(gbla4);

	GridBagConstraints gbca10 = new GridBagConstraints();
	gbca10.fill = GridBagConstraints.BOTH;
	gbca10.gridwidth = 1;
	gbca10.gridheight = 1;
	gbca10.anchor = GridBagConstraints.CENTER;
	gbca10.insets = new Insets(5,5,2,5);
	gbca10.weightx = 1.0;
	gbca10.weighty = 1.0;

	gbla4.setConstraints(labelURAddress,gbca10);
	panNewUR.add(labelURAddress);

	GridBagConstraints gbca11 = new GridBagConstraints();
	gbca11.fill = GridBagConstraints.BOTH;
	gbca11.gridwidth = GridBagConstraints.REMAINDER;
	gbca11.gridheight = 1;
	gbca11.anchor = GridBagConstraints.CENTER;
	gbca11.insets = new Insets(5,2,5,5);
	gbca11.weightx = 1.0;
	gbca11.weighty = 1.0;

	gbla4.setConstraints(fieldURAddress,gbca11);
	panNewUR.add(fieldURAddress);

	GridBagConstraints gbca12 = new GridBagConstraints();
	gbca12.fill = GridBagConstraints.BOTH;
	gbca12.gridwidth = GridBagConstraints.REMAINDER;
	gbca12.gridheight = GridBagConstraints.REMAINDER;
	gbca12.anchor = GridBagConstraints.CENTER;
	gbca12.insets = new Insets(5,2,5,5);
	gbca12.weightx = 1.0;
	gbca12.weighty = 1.0;

	gbla4.setConstraints(panNewURButton,gbca12);
	panNewUR.add(panNewURButton);
	
	addAnUR.add(panNewUR);
	addAnUR.setModal(true);
	
    	/////****************** Main Menu

	Menu menuSearch = new Menu("Search");
	Menu menuURList = new Menu("UR");
	Menu menuFavoritesList = new Menu("Favorites");
	Menu menuExit = new Menu("Exit");
	Menu menuHelp = new Menu("Help");

	MenuItem itemSearch = new MenuItem("Search Services");
	MenuItem itemURList = new MenuItem("UR List");
	MenuItem itemFavoritesList = new MenuItem("Favorites List");
	MenuItem itemExit = new MenuItem("Exit");
	MenuItem itemHelp = new MenuItem("Help");
	
	menuSearch.add(itemSearch);
	menuURList.add(itemURList);
	menuFavoritesList.add(itemFavoritesList);
	menuExit.add(itemExit);
	menuHelp.add(itemHelp);

	MenuBar mainMenu = new MenuBar();
	mainMenu.add(menuSearch);
	mainMenu.add(menuURList);  
	mainMenu.add(menuFavoritesList);
	mainMenu.add(menuHelp);
	mainMenu.add(menuExit);

	// Main window

	this.setMenuBar(mainMenu);
	
    buttonSearch.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		searchFunction();
	    }
	});
    
    buttonToFavorites.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		toFavoritesFunction();
	    }
	});
    
    buttonEmpty.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		emptyFunction();
	    }
	});
    
    buttonShowFavorites.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		showFavoritesFunction();
	    }
	});
    
    buttonClose.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		closeFunction();
	    }
	});
    
    buttonAdd.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		addFunction();
	    }
	});
    
    buttonRemove.addActionListener(new java.awt.event.ActionListener() {
    	    public void actionPerformed(ActionEvent e) {
		removeFunction();
	    } 
	});
   
    buttonModify.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		modifyFunction();
	    }
	});
    
    buttonClose2.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		closeFunction2();
	    }
	});

    buttonRemove3.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		removeFunction3();
	    }
	});
    
    buttonValidate.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		validateFunction();
	    }
	});
    
    buttonClose3.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		closeFunction3();	  
	    }
	});

    itemSearch.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		itemSearchFunction();
	    }
	});

    itemURList.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		itemURListFunction();
	    }
	});

    itemFavoritesList.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		itemFavoritesListFunction();
	    }
	});

    itemHelp.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		itemHelpFunction();
	    }
	});


    itemExit.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		itemExitFunction();
	    }
	});

    buttonOk.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		addAnNewURFunction();
	    }
	});
    
    buttonCancel.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		    noAddURFunction();
	    }
	});

    this.show();
}


 public void searchFunction()
 {
     try
	 {
	     for (int i=0;i<URs.size();i++)
		 {
		     URL url = new URL((String)URs.elementAt(i));
		     URService.URInterface service = 
			 new URService.URSOAPBindingStub(url, null);
		     URService.GetServiceDataUR[] result = service.getServices(fieldWAU.getText());
		     if (result!= null)
		     for (int j=0; j<result.length; j++)
			 {
			     URService.GetServiceDataUR ur = result[j];
			     list1.add(ur.getWAU()+"    "+ur.getServiceEP());
			     tempoURServiceData.add(ur);			 
			 }
		     else System.out.println("UR gives null response");
		 }
	 }
     catch(Exception ex)
	 {
	     ex.printStackTrace();
	 }
 }
    
    public void toFavoritesFunction()
    {
	int i = list1.getSelectedIndex();
	if (i!=-1) 
	    {
		//String chaine = list1.getSelectedItem();
		URService.GetServiceDataUR ur = (URService.GetServiceDataUR)tempoURServiceData.elementAt(i);
		Favorite favorite = new Favorite();
		favorite.setWAU(ur.getWAU());
		favorite.setAddress(ur.getServiceEP());
		favorite.setInstanceURL(ur.getInstanceURL());
		favorite.setLCwau(ur.getLCWAU());
		favorite.setRCwau(ur.getRCWAU());
		favorite.setColocation(ur.isColocation());
		favorite.setValidate(true);
		favorites.addFavorite(favorite);
		list1.remove(list1.getSelectedIndex());
		tempoURServiceData.removeElementAt(i);
	    }
    }
    
    public void emptyFunction()
    {
	list1.removeAll();
    }
    
    public void showFavoritesFunction()
    {
	list3.removeAll();
	Iterator favoritesIter = favorites.getAllFavorites();
	while (favoritesIter.hasNext())
	    {
		Favorite favorite = (Favorite)favoritesIter.next();
		String validate = "yes";
		if (!favorite.getValidate()) validate = "no";
		list3.add(favorite.getWAU()+"  "+favorite.getAddress()+"  "+validate);
	    }
        dialogFavoritesList.setSize(new Dimension(232,255)) ;
	dialogFavoritesList.setLocation(3,18);
	dialogFavoritesList.show();
    }
    
    public void closeFunction()
    {
	dialogSearch.dispose();
    }
    
    public void addFunction()
    {
	//show the dialog box to add an UR address 
        addAnUR.setSize(new Dimension(232,100)) ;
	addAnUR.setLocation(3,18);
	addAnUR.show();
    }
    
    public void removeFunction()
    {
	//remove on vector
	URs.removeElementAt(list2.getSelectedIndex());
	list2.remove(list2.getSelectedIndex());
	updateURs();
    }
    
    public void modifyFunction()
    {
	//******************************** 
    }
    
    public void closeFunction2()
    {
	dialogURList.dispose();
    }
    
    public void removeFunction3()
    {
	///favorite remove on vector
	String chaine = list3.getSelectedItem(); 
	String WAU = chaine.substring(0,chaine.indexOf(" "));
	int index = chaine.indexOf(" ")+2;
	String EP = chaine.substring(index,chaine.indexOf(" ",index));

	favorites.removeFavorite(WAU, EP);
	list3.remove(list3.getSelectedIndex());
    }
    
    public void validateFunction()
    {
	String chaine = list3.getSelectedItem(); 
	String WAU = chaine.substring(0,chaine.indexOf(" "));
	int index = chaine.indexOf(" ")+2;
	String EP = chaine.substring(index,chaine.indexOf(" ",index));
	favorites.validateFavorite(WAU, EP);	
	list3.replaceItem(WAU+"  "+EP+"  yes", list3.getSelectedIndex());
    }

    public void closeFunction3()
    {
	dialogFavoritesList.dispose();
    }
    
    public void itemSearchFunction()
    {
	list1.removeAll();
	//fieldWAU.setText("");
        dialogSearch.setSize(new Dimension(232,255)) ;
	dialogSearch.setLocation(3,18);
	dialogSearch.show();
    }
    
    public void itemURListFunction()
    {
	list2.removeAll();
	for (int i=0;i<URs.size();i++)
	    list2.add((String)URs.elementAt(i));
        dialogURList.setSize(new Dimension(232,255)) ;
	dialogURList.setLocation(3,18);
	dialogURList.show();
    }
    
    public void itemFavoritesListFunction()
    {
	showFavoritesFunction();
    }
    
    public void itemHelpFunction()
    {

    }
    
    public void itemExitFunction()
    {
	System.exit(0);
    }
    
    public void addAnNewURFunction()
    {
	if (!fieldURAddress.getText().equals(""))
	    {
		URs.addElement(fieldURAddress.getText());
		list2.add(fieldURAddress.getText());
		updateURs();
	    }
	addAnUR.dispose();
    }

    public void noAddURFunction()
    {
	addAnUR.dispose();
    }
    
 ///**************************
private void setURs()
    {
	try
	    {
		URs.removeAllElements();
		FileReader ursFile = new FileReader(urAddressFilePath);
		BufferedReader bf = new BufferedReader(ursFile);
		while (bf.ready()) URs.add(bf.readLine());
		bf.close();
		ursFile.close();
	    }
	catch (Exception ex)
	    {
		ex.printStackTrace();
	    }
    }
 private void updateURs()
    {
	try
	    {
		FileWriter ursFile = new FileWriter(urAddressFilePath);
		BufferedWriter bf = new BufferedWriter(ursFile);
		for (int i=0; i<URs.size();i++)
		    {
			String chaine = (String)URs.elementAt(i);
			bf.write(chaine, 0, chaine.length());
			if (i<URs.size()-1) bf.newLine();
		    }
		bf.close();
		ursFile.close();
	    }
	catch (Exception ex)
	    {
		ex.printStackTrace();
	    }
    }
    public static void main(String arg[])
    {
	if (arg.length > 0)
	    favoritesDir = arg[0];
	favoriteFilePath = favoritesDir+"/favorite.xml";
	urAddressFilePath = favoritesDir+"/UR.conf";

        URClient client = new URClient();
    }
    
}

