package YellowPagesService.database;

import YellowPagesService.*;

import java.math.*;
import java.util.*;


// interface to implement

public interface YellowPagesDB{

    // connect methods
    public void connect() throws DatabaseException;
    public void close() throws DatabaseException;

    // main methods

    public Vector getCategories() throws DatabaseException;

    public Vector find(String category,
		       String street,
		       String zip,
		       String city) throws DatabaseException;

    public Vector advancedFind(String expression)
	throws DatabaseException;
}
