package CoreBroker;

public class CLOptionDescr 
{
       public String name;
       public int numParams;    // 0 = none
                                // 1 = exactly one
                                // -1 = 1 or more
       public String descr;
       public Object defaultValue;
       public String[] possibleValues;
       
       public Object value;
       
       public CLOptionDescr(String name, int numParams, String descr)
       {
           this.name = name;
           this.numParams = numParams;
           this.descr = descr;
           this.defaultValue = null;
           this.possibleValues = null;
           
           if (numParams == 0)
                this.value = Boolean.FALSE;
           else
               this.value = null;
       }   
       public CLOptionDescr(String name, String descr, Object defaultValue, String[] possibleValues)
       {
           this.name = name;
           this.numParams = 1;
           this.descr = descr;
           this.defaultValue = defaultValue;
           this.possibleValues = possibleValues;

           if (defaultValue != null)
               this.value = defaultValue;
           else 
               this.value = null;
       } 
       
}
