package csoap;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class CSoapServlet extends HttpServlet  {

  //private GlobalManaging manager = new globalManaging();


  public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {

      response.setContentType("text/html");
      //OutputStream os = response.getOutputStream();
      //InputStream is =request.getInputStream();
      String URI = request.getRequestURI();
      if (URI.equals("/csoap/AdminClient"))
	  {
	      String wsddMessage="";
	      PrintWriter out = response.getWriter();
	      int result = GlobalManagingServer.receiveWsdd(request);
	      switch (result) {
	      case -1:
		  out.write("Can't deploy your Service");
		  break;
	      case 0:
		  out.write("Your Service is deployed");
		  break;
	      case 1:
		  out.write("Your Service is already deployed");
		  break;
	      }
	  }
      else
	  {
	      //OutputStream os = response.getOutputStream();
	      String serviceName = URI.substring(URI.lastIndexOf("/")+1);
	      /*
	       *   URI parameter added for CoreBroker Customization compatibility
                    */                 
	      GlobalManagingServer.receiveSOAP(URI, serviceName, request, response);
	  }
      
    }
    public void doPost(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException
    {
	
	response.setContentType("text/html");
	//OutputStream os = response.getOutputStream();
	//InputStream is =request.getInputStream();
        
	
	String URI = request.getRequestURI();
	if (URI.equals("/csoap/AdminClient"))
	    {
		String wsddMessage="";
		PrintWriter out = response.getWriter();
		int result = GlobalManagingServer.receiveWsdd(request);
		switch (result) {
		case -1:
		    out.write("Can't deploy your Service");
		    break;
		case 0:
		    out.write("Your Service is deployed");
		    break;
		case 1:
		 out.write("Your Service is already deployed");
		 break;
		}
	    }
	else
	    {
		//OutputStream os = response.getOutputStream();
		String serviceName = URI.substring(URI.lastIndexOf("/")+1);
		/*
		 *   URI parameter added for CoreBroker Customization compatibility
		 */
		GlobalManagingServer.receiveSOAP(URI, serviceName, request, response);
	    }
    }
    public void destroy()
    {
	GlobalManagingServer.destroy();
    }

}
