package csoap.xml.rpc.encoding;

import javax.xml.rpc.encoding.*;
import java.util.Vector;
import java.util.Iterator;

public class DeserializerFactoryImpl implements DeserializerFactory{

  Vector deserializers = new Vector();
  Vector mechanismTypes = new Vector();

  public DeserializerFactoryImpl()
  {
  }

  public Deserializer getDeserializerAs(String mechanismType)
  {
    return (Deserializer)deserializers.elementAt(mechanismTypes.indexOf(mechanismType));
  }

  public Iterator getSupportedMechanismTypes()
  {
    return mechanismTypes.iterator();
  }

  public void addDeserializer(Deserializer newDeserializer)
  {
   deserializers.addElement(newDeserializer);
   mechanismTypes.addElement(newDeserializer.getMechanismType());
  }

}
